﻿module("VOICE")

distances = {}

distances.patterns = {
	L"1",
	L"10",
	L"100",
	L"1000",
	L"11",
	L"110",
	L"12",
	L"120",
	L"13",
	L"130",
	L"14",
	L"140",
	L"15",
	L"150",
	L"16",
	L"160",
	L"17",
	L"170",
	L"18",
	L"180",
	L"19",
	L"190",
	L"1_and",
	L"1_point",
	L"2",
	L"20",
	L"200",
	L"2_and",
	L"2_point",
	L"3",
	L"30",
	L"300",
	L"3_and",
	L"3_point",
	L"3_quarters_of_a_mile-e",
	L"3_quarters_of_a_mile-m",
	L"4",
	L"40",
	L"400",
	L"4_and",
	L"4_point",
	L"5",
	L"50",
	L"500",
	L"5_and",
	L"5_point",
	L"6",
	L"60",
	L"600",
	L"6_and",
	L"6_point",
	L"7",
	L"70",
	L"700",
	L"7_and",
	L"7_point",
	L"8",
	L"80",
	L"800",
	L"8_and",
	L"8_point",
	L"9",
	L"90",
	L"900",
	L"9_and",
	L"9_point",
	L"after-1",
	L"after-100",
	L"after-2",
	L"after-200",
	L"after-3",
	L"after-4",
	L"after-5",
	L"after-6",
	L"after-7",
	L"after-8",
	L"after-9",
	L"after-mi-3q",
	L"after-mi-aq",
	L"after-mi-hf",
	L"after-pt",
	L"after_more_than",
	L"and-10",
	L"and-20",
	L"and-30",
	L"and-40",
	L"and-50",
	L"and-60",
	L"and-70",
	L"and-80",
	L"and-90",
	L"and_20",
	L"and_30",
	L"and_40",
	L"and_50",
	L"and_60",
	L"and_70",
	L"and_80",
	L"and_90",
	L"drive_for-1",
	L"drive_for-100",
	L"drive_for-2",
	L"drive_for-200",
	L"drive_for-3",
	L"drive_for-4",
	L"drive_for-5",
	L"drive_for-6",
	L"drive_for-7",
	L"drive_for-8",
	L"drive_for-9",
	L"drive_for-mi-3q",
	L"drive_for-mi-aq",
	L"drive_for-mi-hf",
	L"drive_for-pt",
	L"drive_more_than",
	L"feet-e-100",
	L"feet-e-1000",
	L"feet-e-200",
	L"feet-e-50",
	L"feet-m-100",
	L"feet-m-1000",
	L"feet-m-200",
	L"feet-m-50",
	L"half_mile-e",
	L"half_mile-m",
	L"kilometer-e-1",
	L"kilometer-m-1",
	L"kilometers-e-10",
	L"kilometers-e-100",
	L"kilometers-e-2",
	L"kilometers-e-200",
	L"kilometers-e-3",
	L"kilometers-e-5",
	L"kilometers-e-pt",
	L"kilometers-m-10",
	L"kilometers-m-100",
	L"kilometers-m-2",
	L"kilometers-m-200",
	L"kilometers-m-3",
	L"kilometers-m-5",
	L"kilometers-m-pt",
	L"meters-e-10",
	L"meters-e-100",
	L"meters-e-200",
	L"meters-m-10",
	L"meters-m-100",
	L"meters-m-200",
	L"mile-e-1",
	L"mile-m-1",
	L"miles-e-10",
	L"miles-e-100",
	L"miles-e-2",
	L"miles-e-200",
	L"miles-e-3",
	L"miles-e-4",
	L"miles-e-5",
	L"miles-e-6",
	L"miles-e-7",
	L"miles-e-8",
	L"miles-e-9",
	L"miles-e-pt_1",
	L"miles-e-pt_2",
	L"miles-e-pt_3",
	L"miles-e-pt_4",
	L"miles-e-pt_5",
	L"miles-e-pt_6",
	L"miles-e-pt_7",
	L"miles-e-pt_8",
	L"miles-e-pt_9",
	L"miles-m-10",
	L"miles-m-100",
	L"miles-m-2",
	L"miles-m-200",
	L"miles-m-3",
	L"miles-m-4",
	L"miles-m-5",
	L"miles-m-6",
	L"miles-m-7",
	L"miles-m-8",
	L"miles-m-9",
	L"miles-m-pt_1",
	L"miles-m-pt_2",
	L"miles-m-pt_3",
	L"miles-m-pt_4",
	L"miles-m-pt_5",
	L"miles-m-pt_6",
	L"miles-m-pt_7",
	L"miles-m-pt_8",
	L"miles-m-pt_9",
	L"point_1",
	L"point_2",
	L"point_3",
	L"point_4",
	L"point_4_miles-e",
	L"point_4_miles-m",
	L"point_5",
	L"point_6",
	L"point_6_miles-e",
	L"point_6_miles-m",
	L"point_7",
	L"point_8",
	L"point_9",
	L"point_9_miles-e",
	L"point_9_miles-m",
	L"quarter_of_a_mile-e",
	L"quarter_of_a_mile-m",
	L"yards-e-10",
	L"yards-e-100",
	L"yards-e-200",
	L"yards-m-10",
	L"yards-m-100",
	L"yards-m-200",
}

distances.meters = {
	10, "\69\2\129\17\0\69\2\129\14\0\102\2\129\14\0\2\129\14\0",
	20, "\69\26\129\17\0\69\26\129\14\0\102\26\129\14\0\26\129\14\0",
	30, "\71\31\129\17\0\71\31\129\14\0\104\31\129\14\0\31\129\14\0",
	40, "\72\38\129\17\0\72\38\129\14\0\105\38\129\14\0\38\129\14\0",
	50, "\73\43\129\17\0\73\43\129\14\0\106\43\129\14\0\43\129\14\0",
	60, "\74\48\129\17\0\74\48\129\14\0\107\48\129\14\0\48\129\14\0",
	70, "\75\53\129\17\0\75\53\129\14\0\108\53\129\14\0\53\129\14\0",
	80, "\76\58\129\17\0\76\58\129\14\0\109\58\129\14\0\58\129\14\0",
	90, "\77\63\129\17\0\77\63\129\14\0\110\63\129\14\0\63\129\14\0",
	100, "\68\3\129\18\0\68\3\129\15\0\101\3\129\15\0\3\129\15\0",
	110, "\68\6\129\17\0\68\6\129\14\0\101\6\129\14\0\6\129\14\0",
	120, "\68\8\129\17\0\68\8\129\14\0\101\8\129\14\0\8\129\14\0",
	130, "\68\10\129\17\0\68\10\129\14\0\101\10\129\14\0\10\129\14\0",
	140, "\68\12\129\17\0\68\12\129\14\0\101\12\129\14\0\12\129\14\0",
	150, "\68\14\129\17\0\68\14\129\14\0\101\14\129\14\0\14\129\14\0",
	160, "\68\16\129\17\0\68\16\129\14\0\101\16\129\14\0\16\129\14\0",
	170, "\68\18\129\17\0\68\18\129\14\0\101\18\129\14\0\18\129\14\0",
	180, "\68\20\129\17\0\68\20\129\14\0\101\20\129\14\0\20\129\14\0",
	190, "\68\22\129\17\0\68\22\129\14\0\101\22\129\14\0\22\129\14\0",
	200, "\70\27\129\19\0\70\27\129\16\0\103\27\129\16\0\27\129\16\0",
	210, "\70\27\83\129\17\0\70\27\83\129\14\0\103\27\83\129\14\0\27\83\129\14\0",
	220, "\70\27\84\129\17\0\70\27\84\129\14\0\103\27\84\129\14\0\27\84\129\14\0",
	230, "\70\27\85\129\17\0\70\27\85\129\14\0\103\27\85\129\14\0\27\85\129\14\0",
	240, "\70\27\86\129\17\0\70\27\86\129\14\0\103\27\86\129\14\0\27\86\129\14\0",
	250, "\70\27\87\129\17\0\70\27\87\129\14\0\103\27\87\129\14\0\27\87\129\14\0",
	260, "\70\27\88\129\17\0\70\27\88\129\14\0\103\27\88\129\14\0\27\88\129\14\0",
	270, "\70\27\89\129\17\0\70\27\89\129\14\0\103\27\89\129\14\0\27\89\129\14\0",
	280, "\70\27\90\129\17\0\70\27\90\129\14\0\103\27\90\129\14\0\27\90\129\14\0",
	290, "\70\27\91\129\17\0\70\27\91\129\14\0\103\27\91\129\14\0\27\91\129\14\0",
	300, "\71\32\129\19\0\71\32\129\16\0\104\32\129\16\0\32\129\16\0",
	310, "\71\32\83\129\17\0\71\32\83\129\14\0\104\32\83\129\14\0\32\83\129\14\0",
	320, "\71\32\84\129\17\0\71\32\84\129\14\0\104\32\84\129\14\0\32\84\129\14\0",
	330, "\71\32\85\129\17\0\71\32\85\129\14\0\104\32\85\129\14\0\32\85\129\14\0",
	340, "\71\32\86\129\17\0\71\32\86\129\14\0\104\32\86\129\14\0\32\86\129\14\0",
	350, "\71\32\87\129\17\0\71\32\87\129\14\0\104\32\87\129\14\0\32\87\129\14\0",
	360, "\71\32\88\129\17\0\71\32\88\129\14\0\104\32\88\129\14\0\32\88\129\14\0",
	370, "\71\32\89\129\17\0\71\32\89\129\14\0\104\32\89\129\14\0\32\89\129\14\0",
	380, "\71\32\90\129\17\0\71\32\90\129\14\0\104\32\90\129\14\0\32\90\129\14\0",
	390, "\71\32\91\129\17\0\71\32\91\129\14\0\104\32\91\129\14\0\32\91\129\14\0",
	400, "\72\39\129\19\0\72\39\129\16\0\105\39\129\16\0\39\129\16\0",
	410, "\72\39\83\129\17\0\72\39\83\129\14\0\105\39\83\129\14\0\39\83\129\14\0",
	420, "\72\39\84\129\17\0\72\39\84\129\14\0\105\39\84\129\14\0\39\84\129\14\0",
	430, "\72\39\85\129\17\0\72\39\85\129\14\0\105\39\85\129\14\0\39\85\129\14\0",
	440, "\72\39\86\129\17\0\72\39\86\129\14\0\105\39\86\129\14\0\39\86\129\14\0",
	450, "\72\39\87\129\17\0\72\39\87\129\14\0\105\39\87\129\14\0\39\87\129\14\0",
	460, "\72\39\88\129\17\0\72\39\88\129\14\0\105\39\88\129\14\0\39\88\129\14\0",
	470, "\72\39\89\129\17\0\72\39\89\129\14\0\105\39\89\129\14\0\39\89\129\14\0",
	480, "\72\39\90\129\17\0\72\39\90\129\14\0\105\39\90\129\14\0\39\90\129\14\0",
	490, "\72\39\91\129\17\0\72\39\91\129\14\0\105\39\91\129\14\0\39\91\129\14\0",
	500, "\73\44\129\19\0\73\44\129\16\0\106\44\129\16\0\44\129\16\0",
	510, "\73\44\83\129\17\0\73\44\83\129\14\0\106\44\83\129\14\0\44\83\129\14\0",
	520, "\73\44\84\129\17\0\73\44\84\129\14\0\106\44\84\129\14\0\44\84\129\14\0",
	530, "\73\44\85\129\17\0\73\44\85\129\14\0\106\44\85\129\14\0\44\85\129\14\0",
	540, "\73\44\86\129\17\0\73\44\86\129\14\0\106\44\86\129\14\0\44\86\129\14\0",
	550, "\73\44\87\129\17\0\73\44\87\129\14\0\106\44\87\129\14\0\44\87\129\14\0",
	560, "\73\44\88\129\17\0\73\44\88\129\14\0\106\44\88\129\14\0\44\88\129\14\0",
	570, "\73\44\89\129\17\0\73\44\89\129\14\0\106\44\89\129\14\0\44\89\129\14\0",
	580, "\73\44\90\129\17\0\73\44\90\129\14\0\106\44\90\129\14\0\44\90\129\14\0",
	590, "\73\44\91\129\17\0\73\44\91\129\14\0\106\44\91\129\14\0\44\91\129\14\0",
	600, "\74\49\129\19\0\74\49\129\16\0\107\49\129\16\0\49\129\16\0",
	610, "\74\49\83\129\17\0\74\49\83\129\14\0\107\49\83\129\14\0\49\83\129\14\0",
	620, "\74\49\84\129\17\0\74\49\84\129\14\0\107\49\84\129\14\0\49\84\129\14\0",
	630, "\74\49\85\129\17\0\74\49\85\129\14\0\107\49\85\129\14\0\49\85\129\14\0",
	640, "\74\49\86\129\17\0\74\49\86\129\14\0\107\49\86\129\14\0\49\86\129\14\0",
	650, "\74\49\87\129\17\0\74\49\87\129\14\0\107\49\87\129\14\0\49\87\129\14\0",
	660, "\74\49\88\129\17\0\74\49\88\129\14\0\107\49\88\129\14\0\49\88\129\14\0",
	670, "\74\49\89\129\17\0\74\49\89\129\14\0\107\49\89\129\14\0\49\89\129\14\0",
	680, "\74\49\90\129\17\0\74\49\90\129\14\0\107\49\90\129\14\0\49\90\129\14\0",
	690, "\74\49\91\129\17\0\74\49\91\129\14\0\107\49\91\129\14\0\49\91\129\14\0",
	700, "\75\54\129\19\0\75\54\129\16\0\108\54\129\16\0\54\129\16\0",
	710, "\75\54\83\129\17\0\75\54\83\129\14\0\108\54\83\129\14\0\54\83\129\14\0",
	720, "\75\54\84\129\17\0\75\54\84\129\14\0\108\54\84\129\14\0\54\84\129\14\0",
	730, "\75\54\85\129\17\0\75\54\85\129\14\0\108\54\85\129\14\0\54\85\129\14\0",
	740, "\75\54\86\129\17\0\75\54\86\129\14\0\108\54\86\129\14\0\54\86\129\14\0",
	750, "\75\54\87\129\17\0\75\54\87\129\14\0\108\54\87\129\14\0\54\87\129\14\0",
	760, "\75\54\88\129\17\0\75\54\88\129\14\0\108\54\88\129\14\0\54\88\129\14\0",
	770, "\75\54\89\129\17\0\75\54\89\129\14\0\108\54\89\129\14\0\54\89\129\14\0",
	780, "\75\54\90\129\17\0\75\54\90\129\14\0\108\54\90\129\14\0\54\90\129\14\0",
	790, "\75\54\91\129\17\0\75\54\91\129\14\0\108\54\91\129\14\0\54\91\129\14\0",
	800, "\76\59\129\19\0\76\59\129\16\0\109\59\129\16\0\59\129\16\0",
	810, "\76\59\83\129\17\0\76\59\83\129\14\0\109\59\83\129\14\0\59\83\129\14\0",
	820, "\76\59\84\129\17\0\76\59\84\129\14\0\109\59\84\129\14\0\59\84\129\14\0",
	830, "\76\59\85\129\17\0\76\59\85\129\14\0\109\59\85\129\14\0\59\85\129\14\0",
	840, "\76\59\86\129\17\0\76\59\86\129\14\0\109\59\86\129\14\0\59\86\129\14\0",
	850, "\76\59\87\129\17\0\76\59\87\129\14\0\109\59\87\129\14\0\59\87\129\14\0",
	860, "\76\59\88\129\17\0\76\59\88\129\14\0\109\59\88\129\14\0\59\88\129\14\0",
	870, "\76\59\89\129\17\0\76\59\89\129\14\0\109\59\89\129\14\0\59\89\129\14\0",
	880, "\76\59\90\129\17\0\76\59\90\129\14\0\109\59\90\129\14\0\59\90\129\14\0",
	890, "\76\59\91\129\17\0\76\59\91\129\14\0\109\59\91\129\14\0\59\91\129\14\0",
	900, "\77\64\129\19\0\77\64\129\16\0\110\64\129\16\0\64\129\16\0",
	910, "\77\64\83\129\17\0\77\64\83\129\14\0\110\64\83\129\14\0\64\83\129\14\0",
	920, "\77\64\84\129\17\0\77\64\84\129\14\0\110\64\84\129\14\0\64\84\129\14\0",
	930, "\77\64\85\129\17\0\77\64\85\129\14\0\110\64\85\129\14\0\64\85\129\14\0",
	940, "\77\64\86\129\17\0\77\64\86\129\14\0\110\64\86\129\14\0\64\86\129\14\0",
	950, "\77\64\87\129\17\0\77\64\87\129\14\0\110\64\87\129\14\0\64\87\129\14\0",
	960, "\77\64\88\129\17\0\77\64\88\129\14\0\110\64\88\129\14\0\64\88\129\14\0",
	970, "\77\64\89\129\17\0\77\64\89\129\14\0\110\64\89\129\14\0\64\89\129\14\0",
	980, "\77\64\90\129\17\0\77\64\90\129\14\0\110\64\90\129\14\0\64\90\129\14\0",
	990, "\77\64\91\129\17\0\77\64\91\129\14\0\110\64\91\129\14\0\64\91\129\14\0",
	1000, "\67\1\127\0\67\1\126\0\100\1\126\0\1\126\0",
	1100, "\67\24\129\62\129\13\0\67\24\129\62\129\6\0\100\24\129\62\129\6\0\24\129\62\129\6\0",
	1200, "\67\24\129\63\129\13\0\67\24\129\63\129\6\0\100\24\129\63\129\6\0\24\129\63\129\6\0",
	1300, "\67\24\129\64\129\13\0\67\24\129\64\129\6\0\100\24\129\64\129\6\0\24\129\64\129\6\0",
	1400, "\67\24\129\65\129\13\0\67\24\129\65\129\6\0\100\24\129\65\129\6\0\24\129\65\129\6\0",
	1500, "\67\24\129\68\129\13\0\67\24\129\68\129\6\0\100\24\129\68\129\6\0\24\129\68\129\6\0",
	1600, "\67\24\129\69\129\13\0\67\24\129\69\129\6\0\100\24\129\69\129\6\0\24\129\69\129\6\0",
	1700, "\67\24\129\72\129\13\0\67\24\129\72\129\6\0\100\24\129\72\129\6\0\24\129\72\129\6\0",
	1800, "\67\24\129\73\129\13\0\67\24\129\73\129\6\0\100\24\129\73\129\6\0\24\129\73\129\6\0",
	1900, "\67\24\129\74\129\13\0\67\24\129\74\129\6\0\100\24\129\74\129\6\0\24\129\74\129\6\0",
	2000, "\69\25\129\9\0\69\25\129\2\0\102\25\129\2\0\25\129\2\0",
	2100, "\69\29\129\62\129\13\0\69\29\129\62\129\6\0\102\29\129\62\129\6\0\29\129\62\129\6\0",
	2200, "\69\29\129\63\129\13\0\69\29\129\63\129\6\0\102\29\129\63\129\6\0\29\129\63\129\6\0",
	2300, "\69\29\129\64\129\13\0\69\29\129\64\129\6\0\102\29\129\64\129\6\0\29\129\64\129\6\0",
	2400, "\69\29\129\65\129\13\0\69\29\129\65\129\6\0\102\29\129\65\129\6\0\29\129\65\129\6\0",
	2500, "\69\29\129\68\129\13\0\69\29\129\68\129\6\0\102\29\129\68\129\6\0\29\129\68\129\6\0",
	2600, "\69\29\129\69\129\13\0\69\29\129\69\129\6\0\102\29\129\69\129\6\0\29\129\69\129\6\0",
	2700, "\69\29\129\72\129\13\0\69\29\129\72\129\6\0\102\29\129\72\129\6\0\29\129\72\129\6\0",
	2800, "\69\29\129\73\129\13\0\69\29\129\73\129\6\0\102\29\129\73\129\6\0\29\129\73\129\6\0",
	2900, "\69\29\129\74\129\13\0\69\29\129\74\129\6\0\102\29\129\74\129\6\0\29\129\74\129\6\0",
	3000, "\71\30\129\11\0\71\30\129\4\0\104\30\129\4\0\30\129\4\0",
	3100, "\71\34\129\62\129\13\0\71\34\129\62\129\6\0\104\34\129\62\129\6\0\34\129\62\129\6\0",
	3200, "\71\34\129\63\129\13\0\71\34\129\63\129\6\0\104\34\129\63\129\6\0\34\129\63\129\6\0",
	3300, "\71\34\129\64\129\13\0\71\34\129\64\129\6\0\104\34\129\64\129\6\0\34\129\64\129\6\0",
	3400, "\71\34\129\65\129\13\0\71\34\129\65\129\6\0\104\34\129\65\129\6\0\34\129\65\129\6\0",
	3500, "\71\34\129\68\129\13\0\71\34\129\68\129\6\0\104\34\129\68\129\6\0\34\129\68\129\6\0",
	3600, "\71\34\129\69\129\13\0\71\34\129\69\129\6\0\104\34\129\69\129\6\0\34\129\69\129\6\0",
	3700, "\71\34\129\72\129\13\0\71\34\129\72\129\6\0\104\34\129\72\129\6\0\34\129\72\129\6\0",
	3800, "\71\34\129\73\129\13\0\71\34\129\73\129\6\0\104\34\129\73\129\6\0\34\129\73\129\6\0",
	3900, "\71\34\129\74\129\13\0\71\34\129\74\129\6\0\104\34\129\74\129\6\0\34\129\74\129\6\0",
	4000, "\72\37\129\11\0\72\37\129\4\0\105\37\129\4\0\37\129\4\0",
	4100, "\72\41\129\62\129\13\0\72\41\129\62\129\6\0\105\41\129\62\129\6\0\41\129\62\129\6\0",
	4200, "\72\41\129\63\129\13\0\72\41\129\63\129\6\0\105\41\129\63\129\6\0\41\129\63\129\6\0",
	4300, "\72\41\129\64\129\13\0\72\41\129\64\129\6\0\105\41\129\64\129\6\0\41\129\64\129\6\0",
	4400, "\72\41\129\65\129\13\0\72\41\129\65\129\6\0\105\41\129\65\129\6\0\41\129\65\129\6\0",
	4500, "\72\41\129\68\129\13\0\72\41\129\68\129\6\0\105\41\129\68\129\6\0\41\129\68\129\6\0",
	4600, "\72\41\129\69\129\13\0\72\41\129\69\129\6\0\105\41\129\69\129\6\0\41\129\69\129\6\0",
	4700, "\72\41\129\72\129\13\0\72\41\129\72\129\6\0\105\41\129\72\129\6\0\41\129\72\129\6\0",
	4800, "\72\41\129\73\129\13\0\72\41\129\73\129\6\0\105\41\129\73\129\6\0\41\129\73\129\6\0",
	4900, "\72\41\129\74\129\13\0\72\41\129\74\129\6\0\105\41\129\74\129\6\0\41\129\74\129\6\0",
	5000, "\73\42\129\12\0\73\42\129\5\0\106\42\129\5\0\42\129\5\0",
	5100, "\73\46\129\62\129\13\0\73\46\129\62\129\6\0\106\46\129\62\129\6\0\46\129\62\129\6\0",
	5200, "\73\46\129\63\129\13\0\73\46\129\63\129\6\0\106\46\129\63\129\6\0\46\129\63\129\6\0",
	5300, "\73\46\129\64\129\13\0\73\46\129\64\129\6\0\106\46\129\64\129\6\0\46\129\64\129\6\0",
	5400, "\73\46\129\65\129\13\0\73\46\129\65\129\6\0\106\46\129\65\129\6\0\46\129\65\129\6\0",
	5500, "\73\46\129\68\129\13\0\73\46\129\68\129\6\0\106\46\129\68\129\6\0\46\129\68\129\6\0",
	5600, "\73\46\129\69\129\13\0\73\46\129\69\129\6\0\106\46\129\69\129\6\0\46\129\69\129\6\0",
	5700, "\73\46\129\72\129\13\0\73\46\129\72\129\6\0\106\46\129\72\129\6\0\46\129\72\129\6\0",
	5800, "\73\46\129\73\129\13\0\73\46\129\73\129\6\0\106\46\129\73\129\6\0\46\129\73\129\6\0",
	5900, "\73\46\129\74\129\13\0\73\46\129\74\129\6\0\106\46\129\74\129\6\0\46\129\74\129\6\0",
	6000, "\74\47\129\12\0\74\47\129\5\0\107\47\129\5\0\47\129\5\0",
	6100, "\74\51\129\62\129\13\0\74\51\129\62\129\6\0\107\51\129\62\129\6\0\51\129\62\129\6\0",
	6200, "\74\51\129\63\129\13\0\74\51\129\63\129\6\0\107\51\129\63\129\6\0\51\129\63\129\6\0",
	6300, "\74\51\129\64\129\13\0\74\51\129\64\129\6\0\107\51\129\64\129\6\0\51\129\64\129\6\0",
	6400, "\74\51\129\65\129\13\0\74\51\129\65\129\6\0\107\51\129\65\129\6\0\51\129\65\129\6\0",
	6500, "\74\51\129\68\129\13\0\74\51\129\68\129\6\0\107\51\129\68\129\6\0\51\129\68\129\6\0",
	6600, "\74\51\129\69\129\13\0\74\51\129\69\129\6\0\107\51\129\69\129\6\0\51\129\69\129\6\0",
	6700, "\74\51\129\72\129\13\0\74\51\129\72\129\6\0\107\51\129\72\129\6\0\51\129\72\129\6\0",
	6800, "\74\51\129\73\129\13\0\74\51\129\73\129\6\0\107\51\129\73\129\6\0\51\129\73\129\6\0",
	6900, "\74\51\129\74\129\13\0\74\51\129\74\129\6\0\107\51\129\74\129\6\0\51\129\74\129\6\0",
	7000, "\75\52\129\12\0\75\52\129\5\0\108\52\129\5\0\52\129\5\0",
	7100, "\75\56\129\62\129\13\0\75\56\129\62\129\6\0\108\56\129\62\129\6\0\56\129\62\129\6\0",
	7200, "\75\56\129\63\129\13\0\75\56\129\63\129\6\0\108\56\129\63\129\6\0\56\129\63\129\6\0",
	7300, "\75\56\129\64\129\13\0\75\56\129\64\129\6\0\108\56\129\64\129\6\0\56\129\64\129\6\0",
	7400, "\75\56\129\65\129\13\0\75\56\129\65\129\6\0\108\56\129\65\129\6\0\56\129\65\129\6\0",
	7500, "\75\56\129\68\129\13\0\75\56\129\68\129\6\0\108\56\129\68\129\6\0\56\129\68\129\6\0",
	7600, "\75\56\129\69\129\13\0\75\56\129\69\129\6\0\108\56\129\69\129\6\0\56\129\69\129\6\0",
	7700, "\75\56\129\72\129\13\0\75\56\129\72\129\6\0\108\56\129\72\129\6\0\56\129\72\129\6\0",
	7800, "\75\56\129\73\129\13\0\75\56\129\73\129\6\0\108\56\129\73\129\6\0\56\129\73\129\6\0",
	7900, "\75\56\129\74\129\13\0\75\56\129\74\129\6\0\108\56\129\74\129\6\0\56\129\74\129\6\0",
	8000, "\76\57\129\12\0\76\57\129\5\0\109\57\129\5\0\57\129\5\0",
	8100, "\76\61\129\62\129\13\0\76\61\129\62\129\6\0\109\61\129\62\129\6\0\61\129\62\129\6\0",
	8200, "\76\61\129\63\129\13\0\76\61\129\63\129\6\0\109\61\129\63\129\6\0\61\129\63\129\6\0",
	8300, "\76\61\129\64\129\13\0\76\61\129\64\129\6\0\109\61\129\64\129\6\0\61\129\64\129\6\0",
	8400, "\76\61\129\65\129\13\0\76\61\129\65\129\6\0\109\61\129\65\129\6\0\61\129\65\129\6\0",
	8500, "\76\61\129\68\129\13\0\76\61\129\68\129\6\0\109\61\129\68\129\6\0\61\129\68\129\6\0",
	8600, "\76\61\129\69\129\13\0\76\61\129\69\129\6\0\109\61\129\69\129\6\0\61\129\69\129\6\0",
	8700, "\76\61\129\72\129\13\0\76\61\129\72\129\6\0\109\61\129\72\129\6\0\61\129\72\129\6\0",
	8800, "\76\61\129\73\129\13\0\76\61\129\73\129\6\0\109\61\129\73\129\6\0\61\129\73\129\6\0",
	8900, "\76\61\129\74\129\13\0\76\61\129\74\129\6\0\109\61\129\74\129\6\0\61\129\74\129\6\0",
	9000, "\77\62\129\12\0\77\62\129\5\0\110\62\129\5\0\62\129\5\0",
	9100, "\77\66\129\62\129\13\0\77\66\129\62\129\6\0\110\66\129\62\129\6\0\66\129\62\129\6\0",
	9200, "\77\66\129\63\129\13\0\77\66\129\63\129\6\0\110\66\129\63\129\6\0\66\129\63\129\6\0",
	9300, "\77\66\129\64\129\13\0\77\66\129\64\129\6\0\110\66\129\64\129\6\0\66\129\64\129\6\0",
	9400, "\77\66\129\65\129\13\0\77\66\129\65\129\6\0\110\66\129\65\129\6\0\66\129\65\129\6\0",
	9500, "\77\66\129\68\129\13\0\77\66\129\68\129\6\0\110\66\129\68\129\6\0\66\129\68\129\6\0",
	9600, "\77\66\129\69\129\13\0\77\66\129\69\129\6\0\110\66\129\69\129\6\0\66\129\69\129\6\0",
	9700, "\77\66\129\72\129\13\0\77\66\129\72\129\6\0\110\66\129\72\129\6\0\66\129\72\129\6\0",
	9800, "\77\66\129\73\129\13\0\77\66\129\73\129\6\0\110\66\129\73\129\6\0\66\129\73\129\6\0",
	9900, "\77\66\129\74\129\13\0\77\66\129\74\129\6\0\110\66\129\74\129\6\0\66\129\74\129\6\0",
	10000, "\69\2\129\7\0\69\2\129\0\0\102\2\129\0\0\2\129\0\0",
	11000, "\67\5\129\7\0\67\5\129\0\0\100\5\129\0\0\5\129\0\0",
	12000, "\69\7\129\7\0\69\7\129\0\0\102\7\129\0\0\7\129\0\0",
	13000, "\71\9\129\7\0\71\9\129\0\0\104\9\129\0\0\9\129\0\0",
	14000, "\72\11\129\7\0\72\11\129\0\0\105\11\129\0\0\11\129\0\0",
	15000, "\73\13\129\7\0\73\13\129\0\0\106\13\129\0\0\13\129\0\0",
	16000, "\74\15\129\7\0\74\15\129\0\0\107\15\129\0\0\15\129\0\0",
	17000, "\75\17\129\7\0\75\17\129\0\0\108\17\129\0\0\17\129\0\0",
	18000, "\76\19\129\7\0\76\19\129\0\0\109\19\129\0\0\19\129\0\0",
	19000, "\77\21\129\7\0\77\21\129\0\0\110\21\129\0\0\21\129\0\0",
	20000, "\69\26\129\7\0\69\26\129\0\0\102\26\129\0\0\26\129\0\0",
	21000, "\67\23\92\129\7\0\67\23\92\129\0\0\100\23\92\129\0\0\23\92\129\0\0",
	22000, "\69\28\92\129\7\0\69\28\92\129\0\0\102\28\92\129\0\0\28\92\129\0\0",
	23000, "\71\33\92\129\7\0\71\33\92\129\0\0\104\33\92\129\0\0\33\92\129\0\0",
	24000, "\72\40\92\129\7\0\72\40\92\129\0\0\105\40\92\129\0\0\40\92\129\0\0",
	25000, "\73\45\92\129\7\0\73\45\92\129\0\0\106\45\92\129\0\0\45\92\129\0\0",
	26000, "\74\50\92\129\7\0\74\50\92\129\0\0\107\50\92\129\0\0\50\92\129\0\0",
	27000, "\75\55\92\129\7\0\75\55\92\129\0\0\108\55\92\129\0\0\55\92\129\0\0",
	28000, "\76\60\92\129\7\0\76\60\92\129\0\0\109\60\92\129\0\0\60\92\129\0\0",
	29000, "\77\65\92\129\7\0\77\65\92\129\0\0\110\65\92\129\0\0\65\92\129\0\0",
	30000, "\71\31\129\7\0\71\31\129\0\0\104\31\129\0\0\31\129\0\0",
	31000, "\67\23\93\129\7\0\67\23\93\129\0\0\100\23\93\129\0\0\23\93\129\0\0",
	32000, "\69\28\93\129\7\0\69\28\93\129\0\0\102\28\93\129\0\0\28\93\129\0\0",
	33000, "\71\33\93\129\7\0\71\33\93\129\0\0\104\33\93\129\0\0\33\93\129\0\0",
	34000, "\72\40\93\129\7\0\72\40\93\129\0\0\105\40\93\129\0\0\40\93\129\0\0",
	35000, "\73\45\93\129\7\0\73\45\93\129\0\0\106\45\93\129\0\0\45\93\129\0\0",
	36000, "\74\50\93\129\7\0\74\50\93\129\0\0\107\50\93\129\0\0\50\93\129\0\0",
	37000, "\75\55\93\129\7\0\75\55\93\129\0\0\108\55\93\129\0\0\55\93\129\0\0",
	38000, "\76\60\93\129\7\0\76\60\93\129\0\0\109\60\93\129\0\0\60\93\129\0\0",
	39000, "\77\65\93\129\7\0\77\65\93\129\0\0\110\65\93\129\0\0\65\93\129\0\0",
	40000, "\72\38\129\7\0\72\38\129\0\0\105\38\129\0\0\38\129\0\0",
	41000, "\67\23\94\129\7\0\67\23\94\129\0\0\100\23\94\129\0\0\23\94\129\0\0",
	42000, "\69\28\94\129\7\0\69\28\94\129\0\0\102\28\94\129\0\0\28\94\129\0\0",
	43000, "\71\33\94\129\7\0\71\33\94\129\0\0\104\33\94\129\0\0\33\94\129\0\0",
	44000, "\72\40\94\129\7\0\72\40\94\129\0\0\105\40\94\129\0\0\40\94\129\0\0",
	45000, "\73\45\94\129\7\0\73\45\94\129\0\0\106\45\94\129\0\0\45\94\129\0\0",
	46000, "\74\50\94\129\7\0\74\50\94\129\0\0\107\50\94\129\0\0\50\94\129\0\0",
	47000, "\75\55\94\129\7\0\75\55\94\129\0\0\108\55\94\129\0\0\55\94\129\0\0",
	48000, "\76\60\94\129\7\0\76\60\94\129\0\0\109\60\94\129\0\0\60\94\129\0\0",
	49000, "\77\65\94\129\7\0\77\65\94\129\0\0\110\65\94\129\0\0\65\94\129\0\0",
	50000, "\73\43\129\7\0\73\43\129\0\0\106\43\129\0\0\43\129\0\0",
	51000, "\67\23\95\129\7\0\67\23\95\129\0\0\100\23\95\129\0\0\23\95\129\0\0",
	52000, "\69\28\95\129\7\0\69\28\95\129\0\0\102\28\95\129\0\0\28\95\129\0\0",
	53000, "\71\33\95\129\7\0\71\33\95\129\0\0\104\33\95\129\0\0\33\95\129\0\0",
	54000, "\72\40\95\129\7\0\72\40\95\129\0\0\105\40\95\129\0\0\40\95\129\0\0",
	55000, "\73\45\95\129\7\0\73\45\95\129\0\0\106\45\95\129\0\0\45\95\129\0\0",
	56000, "\74\50\95\129\7\0\74\50\95\129\0\0\107\50\95\129\0\0\50\95\129\0\0",
	57000, "\75\55\95\129\7\0\75\55\95\129\0\0\108\55\95\129\0\0\55\95\129\0\0",
	58000, "\76\60\95\129\7\0\76\60\95\129\0\0\109\60\95\129\0\0\60\95\129\0\0",
	59000, "\77\65\95\129\7\0\77\65\95\129\0\0\110\65\95\129\0\0\65\95\129\0\0",
	60000, "\74\48\129\7\0\74\48\129\0\0\107\48\129\0\0\48\129\0\0",
	61000, "\67\23\96\129\7\0\67\23\96\129\0\0\100\23\96\129\0\0\23\96\129\0\0",
	62000, "\69\28\96\129\7\0\69\28\96\129\0\0\102\28\96\129\0\0\28\96\129\0\0",
	63000, "\71\33\96\129\7\0\71\33\96\129\0\0\104\33\96\129\0\0\33\96\129\0\0",
	64000, "\72\40\96\129\7\0\72\40\96\129\0\0\105\40\96\129\0\0\40\96\129\0\0",
	65000, "\73\45\96\129\7\0\73\45\96\129\0\0\106\45\96\129\0\0\45\96\129\0\0",
	66000, "\74\50\96\129\7\0\74\50\96\129\0\0\107\50\96\129\0\0\50\96\129\0\0",
	67000, "\75\55\96\129\7\0\75\55\96\129\0\0\108\55\96\129\0\0\55\96\129\0\0",
	68000, "\76\60\96\129\7\0\76\60\96\129\0\0\109\60\96\129\0\0\60\96\129\0\0",
	69000, "\77\65\96\129\7\0\77\65\96\129\0\0\110\65\96\129\0\0\65\96\129\0\0",
	70000, "\75\53\129\7\0\75\53\129\0\0\108\53\129\0\0\53\129\0\0",
	71000, "\67\23\97\129\7\0\67\23\97\129\0\0\100\23\97\129\0\0\23\97\129\0\0",
	72000, "\69\28\97\129\7\0\69\28\97\129\0\0\102\28\97\129\0\0\28\97\129\0\0",
	73000, "\71\33\97\129\7\0\71\33\97\129\0\0\104\33\97\129\0\0\33\97\129\0\0",
	74000, "\72\40\97\129\7\0\72\40\97\129\0\0\105\40\97\129\0\0\40\97\129\0\0",
	75000, "\73\45\97\129\7\0\73\45\97\129\0\0\106\45\97\129\0\0\45\97\129\0\0",
	76000, "\74\50\97\129\7\0\74\50\97\129\0\0\107\50\97\129\0\0\50\97\129\0\0",
	77000, "\75\55\97\129\7\0\75\55\97\129\0\0\108\55\97\129\0\0\55\97\129\0\0",
	78000, "\76\60\97\129\7\0\76\60\97\129\0\0\109\60\97\129\0\0\60\97\129\0\0",
	79000, "\77\65\97\129\7\0\77\65\97\129\0\0\110\65\97\129\0\0\65\97\129\0\0",
	80000, "\76\58\129\7\0\76\58\129\0\0\109\58\129\0\0\58\129\0\0",
	81000, "\67\23\98\129\7\0\67\23\98\129\0\0\100\23\98\129\0\0\23\98\129\0\0",
	82000, "\69\28\98\129\7\0\69\28\98\129\0\0\102\28\98\129\0\0\28\98\129\0\0",
	83000, "\71\33\98\129\7\0\71\33\98\129\0\0\104\33\98\129\0\0\33\98\129\0\0",
	84000, "\72\40\98\129\7\0\72\40\98\129\0\0\105\40\98\129\0\0\40\98\129\0\0",
	85000, "\73\45\98\129\7\0\73\45\98\129\0\0\106\45\98\129\0\0\45\98\129\0\0",
	86000, "\74\50\98\129\7\0\74\50\98\129\0\0\107\50\98\129\0\0\50\98\129\0\0",
	87000, "\75\55\98\129\7\0\75\55\98\129\0\0\108\55\98\129\0\0\55\98\129\0\0",
	88000, "\76\60\98\129\7\0\76\60\98\129\0\0\109\60\98\129\0\0\60\98\129\0\0",
	89000, "\77\65\98\129\7\0\77\65\98\129\0\0\110\65\98\129\0\0\65\98\129\0\0",
	90000, "\77\63\129\7\0\77\63\129\0\0\110\63\129\0\0\63\129\0\0",
	91000, "\67\23\99\129\7\0\67\23\99\129\0\0\100\23\99\129\0\0\23\99\129\0\0",
	92000, "\69\28\99\129\7\0\69\28\99\129\0\0\102\28\99\129\0\0\28\99\129\0\0",
	93000, "\71\33\99\129\7\0\71\33\99\129\0\0\104\33\99\129\0\0\33\99\129\0\0",
	94000, "\72\40\99\129\7\0\72\40\99\129\0\0\105\40\99\129\0\0\40\99\129\0\0",
	95000, "\73\45\99\129\7\0\73\45\99\129\0\0\106\45\99\129\0\0\45\99\129\0\0",
	96000, "\74\50\99\129\7\0\74\50\99\129\0\0\107\50\99\129\0\0\50\99\129\0\0",
	97000, "\75\55\99\129\7\0\75\55\99\129\0\0\108\55\99\129\0\0\55\99\129\0\0",
	98000, "\76\60\99\129\7\0\76\60\99\129\0\0\109\60\99\129\0\0\60\99\129\0\0",
	99000, "\77\65\99\129\7\0\77\65\99\129\0\0\110\65\99\129\0\0\65\99\129\0\0",
	100000, "\68\3\129\8\0\68\3\129\1\0\101\3\129\1\0\3\129\1\0",
	110000, "\68\6\129\7\0\68\6\129\0\0\101\6\129\0\0\6\129\0\0",
	120000, "\68\8\129\7\0\68\8\129\0\0\101\8\129\0\0\8\129\0\0",
	130000, "\68\10\129\7\0\68\10\129\0\0\101\10\129\0\0\10\129\0\0",
	140000, "\68\12\129\7\0\68\12\129\0\0\101\12\129\0\0\12\129\0\0",
	150000, "\68\14\129\7\0\68\14\129\0\0\101\14\129\0\0\14\129\0\0",
	160000, "\68\16\129\7\0\68\16\129\0\0\101\16\129\0\0\16\129\0\0",
	170000, "\68\18\129\7\0\68\18\129\0\0\101\18\129\0\0\18\129\0\0",
	180000, "\68\20\129\7\0\68\20\129\0\0\101\20\129\0\0\20\129\0\0",
	190000, "\68\22\129\7\0\68\22\129\0\0\101\22\129\0\0\22\129\0\0",
	200000, "\70\27\129\10\0\70\27\129\3\0\103\27\129\3\0\27\129\3\0",
	210000, "\70\27\83\129\7\0\70\27\83\129\0\0\103\27\83\129\0\0\27\83\129\0\0",
	220000, "\70\27\84\129\7\0\70\27\84\129\0\0\103\27\84\129\0\0\27\84\129\0\0",
	230000, "\70\27\85\129\7\0\70\27\85\129\0\0\103\27\85\129\0\0\27\85\129\0\0",
	240000, "\70\27\86\129\7\0\70\27\86\129\0\0\103\27\86\129\0\0\27\86\129\0\0",
	250000, "\70\27\87\129\7\0\70\27\87\129\0\0\103\27\87\129\0\0\27\87\129\0\0",
	260000, "\70\27\88\129\7\0\70\27\88\129\0\0\103\27\88\129\0\0\27\88\129\0\0",
	270000, "\70\27\89\129\7\0\70\27\89\129\0\0\103\27\89\129\0\0\27\89\129\0\0",
	280000, "\70\27\90\129\7\0\70\27\90\129\0\0\103\27\90\129\0\0\27\90\129\0\0",
	290000, "\70\27\91\129\7\0\70\27\91\129\0\0\103\27\91\129\0\0\27\91\129\0\0",
	300000, "\71\32\129\10\0\71\32\129\3\0\104\32\129\3\0\32\129\3\0",
	310000, "\71\32\83\129\7\0\71\32\83\129\0\0\104\32\83\129\0\0\32\83\129\0\0",
	320000, "\71\32\84\129\7\0\71\32\84\129\0\0\104\32\84\129\0\0\32\84\129\0\0",
	330000, "\71\32\85\129\7\0\71\32\85\129\0\0\104\32\85\129\0\0\32\85\129\0\0",
	340000, "\71\32\86\129\7\0\71\32\86\129\0\0\104\32\86\129\0\0\32\86\129\0\0",
	350000, "\71\32\87\129\7\0\71\32\87\129\0\0\104\32\87\129\0\0\32\87\129\0\0",
	360000, "\71\32\88\129\7\0\71\32\88\129\0\0\104\32\88\129\0\0\32\88\129\0\0",
	370000, "\71\32\89\129\7\0\71\32\89\129\0\0\104\32\89\129\0\0\32\89\129\0\0",
	380000, "\71\32\90\129\7\0\71\32\90\129\0\0\104\32\90\129\0\0\32\90\129\0\0",
	390000, "\71\32\91\129\7\0\71\32\91\129\0\0\104\32\91\129\0\0\32\91\129\0\0",
	400000, "\72\39\129\10\0\72\39\129\3\0\105\39\129\3\0\39\129\3\0",
	410000, "\72\39\83\129\7\0\72\39\83\129\0\0\105\39\83\129\0\0\39\83\129\0\0",
	420000, "\72\39\84\129\7\0\72\39\84\129\0\0\105\39\84\129\0\0\39\84\129\0\0",
	430000, "\72\39\85\129\7\0\72\39\85\129\0\0\105\39\85\129\0\0\39\85\129\0\0",
	440000, "\72\39\86\129\7\0\72\39\86\129\0\0\105\39\86\129\0\0\39\86\129\0\0",
	450000, "\72\39\87\129\7\0\72\39\87\129\0\0\105\39\87\129\0\0\39\87\129\0\0",
	460000, "\72\39\88\129\7\0\72\39\88\129\0\0\105\39\88\129\0\0\39\88\129\0\0",
	470000, "\72\39\89\129\7\0\72\39\89\129\0\0\105\39\89\129\0\0\39\89\129\0\0",
	480000, "\72\39\90\129\7\0\72\39\90\129\0\0\105\39\90\129\0\0\39\90\129\0\0",
	490000, "\72\39\91\129\7\0\72\39\91\129\0\0\105\39\91\129\0\0\39\91\129\0\0",
	500000, "\73\44\129\10\0\73\44\129\3\0\105\44\129\3\0\44\129\3\0",
	510000, "\82\44\129\10\0\82\44\129\3\0\115\44\129\3\0\44\129\3\0",
}

distances.feet = {
	15, "\73\43\123\0\73\43\119\0\106\43\119\0\43\119\0",
	30, "\68\3\120\0\68\3\116\0\101\3\116\0\3\116\0",
	46, "\68\3\87\123\0\68\3\87\119\0\101\3\87\119\0\3\87\119\0",
	61, "\70\27\122\0\70\27\118\0\103\27\118\0\27\118\0",
	91, "\71\32\122\0\71\32\118\0\104\32\118\0\32\118\0",
	122, "\72\39\122\0\72\39\118\0\105\39\118\0\39\118\0",
	152, "\73\44\122\0\73\44\118\0\106\44\118\0\44\118\0",
	183, "\74\49\122\0\74\49\118\0\107\49\118\0\49\118\0",
	213, "\75\54\122\0\75\54\118\0\108\54\118\0\54\118\0",
	244, "\76\59\122\0\76\59\118\0\109\59\118\0\59\118\0",
	274, "\77\64\122\0\77\64\118\0\110\64\118\0\64\118\0",
	305, "\71\4\121\0\71\4\117\0\104\4\117\0\4\117\0",
	402, "\79\129\78\0\79\129\77\0\112\129\77\0\129\77\0",
	644, "\81\129\67\0\81\129\66\0\114\129\66\0\129\66\0",
	805, "\80\125\0\80\124\0\113\124\0\124\0",
	966, "\81\129\71\0\81\129\70\0\114\129\70\0\129\70\0",
	1127, "\78\36\0\78\35\0\111\35\0\35\0",
	1448, "\81\129\76\0\81\129\75\0\114\129\75\0\129\75\0",
	1609, "\67\129\21\0\67\129\20\0\100\129\20\0\129\20\0",
	1770, "\67\24\129\53\0\67\24\129\33\0\100\24\129\33\0\24\129\33\0",
	1931, "\67\24\129\54\0\67\24\129\34\0\100\24\129\34\0\24\129\34\0",
	2092, "\67\24\129\55\0\67\24\129\35\0\100\24\129\35\0\24\129\35\0",
	2253, "\67\24\129\56\0\67\24\129\36\0\100\24\129\36\0\24\129\36\0",
	2414, "\67\24\129\57\0\67\24\129\37\0\100\24\129\37\0\24\129\37\0",
	2575, "\67\24\129\58\0\67\24\129\38\0\100\24\129\38\0\24\129\38\0",
	2736, "\67\24\129\59\0\67\24\129\39\0\100\24\129\39\0\24\129\39\0",
	2897, "\67\24\129\60\0\67\24\129\40\0\100\24\129\40\0\24\129\40\0",
	3058, "\67\24\129\61\0\67\24\129\41\0\100\24\129\41\0\24\129\41\0",
	3219, "\69\129\44\0\69\129\24\0\102\129\24\0\129\24\0",
	3380, "\69\29\129\53\0\69\29\129\33\0\102\29\129\33\0\29\129\33\0",
	3541, "\69\29\129\54\0\69\29\129\34\0\102\29\129\34\0\29\129\34\0",
	3701, "\69\29\129\55\0\69\29\129\35\0\102\29\129\35\0\29\129\35\0",
	3862, "\69\29\129\56\0\69\29\129\36\0\102\29\129\36\0\29\129\36\0",
	4023, "\69\29\129\57\0\69\29\129\37\0\102\29\129\37\0\29\129\37\0",
	4184, "\69\29\129\58\0\69\29\129\38\0\102\29\129\38\0\29\129\38\0",
	4345, "\69\29\129\59\0\69\29\129\39\0\102\29\129\39\0\29\129\39\0",
	4506, "\69\29\129\60\0\69\29\129\40\0\102\29\129\40\0\29\129\40\0",
	4667, "\69\29\129\61\0\69\29\129\41\0\102\29\129\41\0\29\129\41\0",
	4828, "\71\129\46\0\71\129\26\0\104\129\26\0\129\26\0",
	4989, "\71\34\129\53\0\71\34\129\33\0\104\34\129\33\0\34\129\33\0",
	5150, "\71\34\129\54\0\71\34\129\34\0\104\34\129\34\0\34\129\34\0",
	5311, "\71\34\129\55\0\71\34\129\35\0\104\34\129\35\0\34\129\35\0",
	5472, "\71\34\129\56\0\71\34\129\36\0\104\34\129\36\0\34\129\36\0",
	5633, "\71\34\129\57\0\71\34\129\37\0\104\34\129\37\0\34\129\37\0",
	5794, "\71\34\129\58\0\71\34\129\38\0\104\34\129\38\0\34\129\38\0",
	5955, "\71\34\129\59\0\71\34\129\39\0\104\34\129\39\0\34\129\39\0",
	6116, "\71\34\129\60\0\71\34\129\40\0\104\34\129\40\0\34\129\40\0",
	6276, "\71\34\129\61\0\71\34\129\41\0\104\34\129\41\0\34\129\41\0",
	6437, "\72\129\47\0\72\129\27\0\105\129\27\0\129\27\0",
	6598, "\72\41\129\53\0\72\41\129\33\0\105\41\129\33\0\41\129\33\0",
	6759, "\72\41\129\54\0\72\41\129\34\0\105\41\129\34\0\41\129\34\0",
	6920, "\72\41\129\55\0\72\41\129\35\0\105\41\129\35\0\41\129\35\0",
	7081, "\72\41\129\56\0\72\41\129\36\0\105\41\129\36\0\41\129\36\0",
	7242, "\72\41\129\57\0\72\41\129\37\0\105\41\129\37\0\41\129\37\0",
	7403, "\72\41\129\58\0\72\41\129\38\0\105\41\129\38\0\41\129\38\0",
	7564, "\72\41\129\59\0\72\41\129\39\0\105\41\129\39\0\41\129\39\0",
	7725, "\72\41\129\60\0\72\41\129\40\0\105\41\129\40\0\41\129\40\0",
	7886, "\72\41\129\61\0\72\41\129\41\0\105\41\129\41\0\41\129\41\0",
	8047, "\73\129\48\0\73\129\28\0\106\129\28\0\129\28\0",
	8208, "\73\46\129\53\0\73\46\129\33\0\106\46\129\33\0\46\129\33\0",
	8369, "\73\46\129\54\0\73\46\129\34\0\106\46\129\34\0\46\129\34\0",
	8530, "\73\46\129\55\0\73\46\129\35\0\106\46\129\35\0\46\129\35\0",
	8690, "\73\46\129\56\0\73\46\129\36\0\106\46\129\36\0\46\129\36\0",
	8851, "\73\46\129\57\0\73\46\129\37\0\106\46\129\37\0\46\129\37\0",
	9012, "\73\46\129\58\0\73\46\129\38\0\106\46\129\38\0\46\129\38\0",
	9173, "\73\46\129\59\0\73\46\129\39\0\106\46\129\39\0\46\129\39\0",
	9334, "\73\46\129\60\0\73\46\129\40\0\106\46\129\40\0\46\129\40\0",
	9495, "\73\46\129\61\0\73\46\129\41\0\106\46\129\41\0\46\129\41\0",
	9656, "\74\129\49\0\74\129\29\0\107\129\29\0\129\29\0",
	9817, "\74\51\129\53\0\74\51\129\33\0\107\51\129\33\0\51\129\33\0",
	9978, "\74\51\129\54\0\74\51\129\34\0\107\51\129\34\0\51\129\34\0",
	10139, "\74\51\129\55\0\74\51\129\35\0\107\51\129\35\0\51\129\35\0",
	10300, "\74\51\129\56\0\74\51\129\36\0\107\51\129\36\0\51\129\36\0",
	10461, "\74\51\129\57\0\74\51\129\37\0\107\51\129\37\0\51\129\37\0",
	10622, "\74\51\129\58\0\74\51\129\38\0\107\51\129\38\0\51\129\38\0",
	10783, "\74\51\129\59\0\74\51\129\39\0\107\51\129\39\0\51\129\39\0",
	10944, "\74\51\129\60\0\74\51\129\40\0\107\51\129\40\0\51\129\40\0",
	11104, "\74\51\129\61\0\74\51\129\41\0\107\51\129\41\0\51\129\41\0",
	11265, "\75\129\50\0\75\129\30\0\108\129\30\0\129\30\0",
	11426, "\75\56\129\53\0\75\56\129\33\0\108\56\129\33\0\56\129\33\0",
	11587, "\75\56\129\54\0\75\56\129\34\0\108\56\129\34\0\56\129\34\0",
	11748, "\75\56\129\55\0\75\56\129\35\0\108\56\129\35\0\56\129\35\0",
	11909, "\75\56\129\56\0\75\56\129\36\0\108\56\129\36\0\56\129\36\0",
	12070, "\75\56\129\57\0\75\56\129\37\0\108\56\129\37\0\56\129\37\0",
	12231, "\75\56\129\58\0\75\56\129\38\0\108\56\129\38\0\56\129\38\0",
	12392, "\75\56\129\59\0\75\56\129\39\0\108\56\129\39\0\56\129\39\0",
	12553, "\75\56\129\60\0\75\56\129\40\0\108\56\129\40\0\56\129\40\0",
	12714, "\75\56\129\61\0\75\56\129\41\0\108\56\129\41\0\56\129\41\0",
	12875, "\76\129\51\0\76\129\31\0\109\129\31\0\129\31\0",
	13036, "\76\61\129\53\0\76\61\129\33\0\109\61\129\33\0\61\129\33\0",
	13197, "\76\61\129\54\0\76\61\129\34\0\109\61\129\34\0\61\129\34\0",
	13358, "\76\61\129\55\0\76\61\129\35\0\109\61\129\35\0\61\129\35\0",
	13518, "\76\61\129\56\0\76\61\129\36\0\109\61\129\36\0\61\129\36\0",
	13679, "\76\61\129\57\0\76\61\129\37\0\109\61\129\37\0\61\129\37\0",
	13840, "\76\61\129\58\0\76\61\129\38\0\109\61\129\38\0\61\129\38\0",
	14001, "\76\61\129\59\0\76\61\129\39\0\109\61\129\39\0\61\129\39\0",
	14162, "\76\61\129\60\0\76\61\129\40\0\109\61\129\40\0\61\129\40\0",
	14323, "\76\61\129\61\0\76\61\129\41\0\109\61\129\41\0\61\129\41\0",
	14484, "\77\129\52\0\77\129\32\0\110\129\32\0\129\32\0",
	14645, "\77\66\129\53\0\77\66\129\33\0\110\66\129\33\0\66\129\33\0",
	14806, "\77\66\129\54\0\77\66\129\34\0\110\66\129\34\0\66\129\34\0",
	14967, "\77\66\129\55\0\77\66\129\35\0\110\66\129\35\0\66\129\35\0",
	15128, "\77\66\129\56\0\77\66\129\36\0\110\66\129\36\0\66\129\36\0",
	15289, "\77\66\129\57\0\77\66\129\37\0\110\66\129\37\0\66\129\37\0",
	15450, "\77\66\129\58\0\77\66\129\38\0\110\66\129\38\0\66\129\38\0",
	15611, "\77\66\129\59\0\77\66\129\39\0\110\66\129\39\0\66\129\39\0",
	15772, "\77\66\129\60\0\77\66\129\40\0\110\66\129\40\0\66\129\40\0",
	15933, "\77\66\129\61\0\77\66\129\41\0\110\66\129\41\0\66\129\41\0",
	16093, "\69\2\129\42\0\69\2\129\22\0\102\2\129\22\0\2\129\22\0",
	17703, "\67\5\129\42\0\67\5\129\22\0\100\5\129\22\0\5\129\22\0",
	19312, "\69\7\129\42\0\69\7\129\22\0\102\7\129\22\0\7\129\22\0",
	20921, "\71\9\129\42\0\71\9\129\22\0\104\9\129\22\0\9\129\22\0",
	22531, "\72\11\129\42\0\72\11\129\22\0\105\11\129\22\0\11\129\22\0",
	24140, "\73\13\129\42\0\73\13\129\22\0\106\13\129\22\0\13\129\22\0",
	25750, "\74\15\129\42\0\74\15\129\22\0\107\15\129\22\0\15\129\22\0",
	27359, "\75\17\129\42\0\75\17\129\22\0\108\17\129\22\0\17\129\22\0",
	28968, "\76\19\129\42\0\76\19\129\22\0\109\19\129\22\0\19\129\22\0",
	30578, "\77\21\129\42\0\77\21\129\22\0\110\21\129\22\0\21\129\22\0",
	32187, "\69\26\129\42\0\69\26\129\22\0\102\26\129\22\0\26\129\22\0",
	33796, "\67\23\92\129\42\0\67\23\92\129\22\0\100\23\92\129\22\0\23\92\129\22\0",
	35406, "\69\28\92\129\42\0\69\28\92\129\22\0\102\28\92\129\22\0\28\92\129\22\0",
	37015, "\71\33\92\129\42\0\71\33\92\129\22\0\104\33\92\129\22\0\33\92\129\22\0",
	38624, "\72\40\92\129\42\0\72\40\92\129\22\0\105\40\92\129\22\0\40\92\129\22\0",
	40234, "\73\45\92\129\42\0\73\45\92\129\22\0\106\45\92\129\22\0\45\92\129\22\0",
	41843, "\74\50\92\129\42\0\74\50\92\129\22\0\107\50\92\129\22\0\50\92\129\22\0",
	43452, "\75\55\92\129\42\0\75\55\92\129\22\0\108\55\92\129\22\0\55\92\129\22\0",
	45062, "\76\60\92\129\42\0\76\60\92\129\22\0\109\60\92\129\22\0\60\92\129\22\0",
	46671, "\77\65\92\129\42\0\77\65\92\129\22\0\110\65\92\129\22\0\65\92\129\22\0",
	48280, "\71\31\129\42\0\71\31\129\22\0\104\31\129\22\0\31\129\22\0",
	49890, "\67\23\93\129\42\0\67\23\93\129\22\0\100\23\93\129\22\0\23\93\129\22\0",
	51499, "\69\28\93\129\42\0\69\28\93\129\22\0\102\28\93\129\22\0\28\93\129\22\0",
	53108, "\71\33\93\129\42\0\71\33\93\129\22\0\104\33\93\129\22\0\33\93\129\22\0",
	54718, "\72\40\93\129\42\0\72\40\93\129\22\0\105\40\93\129\22\0\40\93\129\22\0",
	56327, "\73\45\93\129\42\0\73\45\93\129\22\0\106\45\93\129\22\0\45\93\129\22\0",
	57936, "\74\50\93\129\42\0\74\50\93\129\22\0\107\50\93\129\22\0\50\93\129\22\0",
	59546, "\75\55\93\129\42\0\75\55\93\129\22\0\108\55\93\129\22\0\55\93\129\22\0",
	61155, "\76\60\93\129\42\0\76\60\93\129\22\0\109\60\93\129\22\0\60\93\129\22\0",
	62764, "\77\65\93\129\42\0\77\65\93\129\22\0\110\65\93\129\22\0\65\93\129\22\0",
	64374, "\72\38\129\42\0\72\38\129\22\0\105\38\129\22\0\38\129\22\0",
	65983, "\67\23\94\129\42\0\67\23\94\129\22\0\100\23\94\129\22\0\23\94\129\22\0",
	67592, "\69\28\94\129\42\0\69\28\94\129\22\0\102\28\94\129\22\0\28\94\129\22\0",
	69202, "\71\33\94\129\42\0\71\33\94\129\22\0\104\33\94\129\22\0\33\94\129\22\0",
	70811, "\72\40\94\129\42\0\72\40\94\129\22\0\105\40\94\129\22\0\40\94\129\22\0",
	72420, "\73\45\94\129\42\0\73\45\94\129\22\0\106\45\94\129\22\0\45\94\129\22\0",
	74030, "\74\50\94\129\42\0\74\50\94\129\22\0\107\50\94\129\22\0\50\94\129\22\0",
	75639, "\75\55\94\129\42\0\75\55\94\129\22\0\108\55\94\129\22\0\55\94\129\22\0",
	77249, "\76\60\94\129\42\0\76\60\94\129\22\0\109\60\94\129\22\0\60\94\129\22\0",
	78858, "\77\65\94\129\42\0\77\65\94\129\22\0\110\65\94\129\22\0\65\94\129\22\0",
	80467, "\73\43\129\42\0\73\43\129\22\0\106\43\129\22\0\43\129\22\0",
	82077, "\67\23\95\129\42\0\67\23\95\129\22\0\100\23\95\129\22\0\23\95\129\22\0",
	83686, "\69\28\95\129\42\0\69\28\95\129\22\0\102\28\95\129\22\0\28\95\129\22\0",
	85295, "\71\33\95\129\42\0\71\33\95\129\22\0\104\33\95\129\22\0\33\95\129\22\0",
	86905, "\72\40\95\129\42\0\72\40\95\129\22\0\105\40\95\129\22\0\40\95\129\22\0",
	88514, "\73\45\95\129\42\0\73\45\95\129\22\0\106\45\95\129\22\0\45\95\129\22\0",
	90123, "\74\50\95\129\42\0\74\50\95\129\22\0\107\50\95\129\22\0\50\95\129\22\0",
	91733, "\75\55\95\129\42\0\75\55\95\129\22\0\108\55\95\129\22\0\55\95\129\22\0",
	93342, "\76\60\95\129\42\0\76\60\95\129\22\0\109\60\95\129\22\0\60\95\129\22\0",
	94951, "\77\65\95\129\42\0\77\65\95\129\22\0\110\65\95\129\22\0\65\95\129\22\0",
	96561, "\74\48\129\42\0\74\48\129\22\0\107\48\129\22\0\48\129\22\0",
	98170, "\67\23\96\129\42\0\67\23\96\129\22\0\100\23\96\129\22\0\23\96\129\22\0",
	99779, "\69\28\96\129\42\0\69\28\96\129\22\0\102\28\96\129\22\0\28\96\129\22\0",
	101389, "\71\33\96\129\42\0\71\33\96\129\22\0\104\33\96\129\22\0\33\96\129\22\0",
	102998, "\72\40\96\129\42\0\72\40\96\129\22\0\105\40\96\129\22\0\40\96\129\22\0",
	104607, "\73\45\96\129\42\0\73\45\96\129\22\0\106\45\96\129\22\0\45\96\129\22\0",
	106217, "\74\50\96\129\42\0\74\50\96\129\22\0\107\50\96\129\22\0\50\96\129\22\0",
	107826, "\75\55\96\129\42\0\75\55\96\129\22\0\108\55\96\129\22\0\55\96\129\22\0",
	109435, "\76\60\96\129\42\0\76\60\96\129\22\0\109\60\96\129\22\0\60\96\129\22\0",
	111045, "\77\65\96\129\42\0\77\65\96\129\22\0\110\65\96\129\22\0\65\96\129\22\0",
	112654, "\75\53\129\42\0\75\53\129\22\0\108\53\129\22\0\53\129\22\0",
	114263, "\67\23\97\129\42\0\67\23\97\129\22\0\100\23\97\129\22\0\23\97\129\22\0",
	115873, "\69\28\97\129\42\0\69\28\97\129\22\0\102\28\97\129\22\0\28\97\129\22\0",
	117482, "\71\33\97\129\42\0\71\33\97\129\22\0\104\33\97\129\22\0\33\97\129\22\0",
	119091, "\72\40\97\129\42\0\72\40\97\129\22\0\105\40\97\129\22\0\40\97\129\22\0",
	120701, "\73\45\97\129\42\0\73\45\97\129\22\0\106\45\97\129\22\0\45\97\129\22\0",
	122310, "\74\50\97\129\42\0\74\50\97\129\22\0\107\50\97\129\22\0\50\97\129\22\0",
	123919, "\75\55\97\129\42\0\75\55\97\129\22\0\108\55\97\129\22\0\55\97\129\22\0",
	125529, "\76\60\97\129\42\0\76\60\97\129\22\0\109\60\97\129\22\0\60\97\129\22\0",
	127138, "\77\65\97\129\42\0\77\65\97\129\22\0\110\65\97\129\22\0\65\97\129\22\0",
	128748, "\76\58\129\42\0\76\58\129\22\0\109\58\129\22\0\58\129\22\0",
	130357, "\67\23\98\129\42\0\67\23\98\129\22\0\100\23\98\129\22\0\23\98\129\22\0",
	131966, "\69\28\98\129\42\0\69\28\98\129\22\0\102\28\98\129\22\0\28\98\129\22\0",
	133576, "\71\33\98\129\42\0\71\33\98\129\22\0\104\33\98\129\22\0\33\98\129\22\0",
	135185, "\72\40\98\129\42\0\72\40\98\129\22\0\105\40\98\129\22\0\40\98\129\22\0",
	136794, "\73\45\98\129\42\0\73\45\98\129\22\0\106\45\98\129\22\0\45\98\129\22\0",
	138404, "\74\50\98\129\42\0\74\50\98\129\22\0\107\50\98\129\22\0\50\98\129\22\0",
	140013, "\75\55\98\129\42\0\75\55\98\129\22\0\108\55\98\129\22\0\55\98\129\22\0",
	141622, "\76\60\98\129\42\0\76\60\98\129\22\0\109\60\98\129\22\0\60\98\129\22\0",
	143232, "\77\65\98\129\42\0\77\65\98\129\22\0\110\65\98\129\22\0\65\98\129\22\0",
	144841, "\77\63\129\42\0\77\63\129\22\0\110\63\129\22\0\63\129\22\0",
	146450, "\67\23\99\129\42\0\67\23\99\129\22\0\100\23\99\129\22\0\23\99\129\22\0",
	148060, "\69\28\99\129\42\0\69\28\99\129\22\0\102\28\99\129\22\0\28\99\129\22\0",
	149669, "\71\33\99\129\42\0\71\33\99\129\22\0\104\33\99\129\22\0\33\99\129\22\0",
	151278, "\72\40\99\129\42\0\72\40\99\129\22\0\105\40\99\129\22\0\40\99\129\22\0",
	152888, "\73\45\99\129\42\0\73\45\99\129\22\0\106\45\99\129\22\0\45\99\129\22\0",
	154497, "\74\50\99\129\42\0\74\50\99\129\22\0\107\50\99\129\22\0\50\99\129\22\0",
	156106, "\75\55\99\129\42\0\75\55\99\129\22\0\108\55\99\129\22\0\55\99\129\22\0",
	157716, "\76\60\99\129\42\0\76\60\99\129\22\0\109\60\99\129\22\0\60\99\129\22\0",
	159325, "\77\65\99\129\42\0\77\65\99\129\22\0\110\65\99\129\22\0\65\99\129\22\0",
	160934, "\68\3\129\43\0\68\3\129\23\0\101\3\129\23\0\3\129\23\0",
	177028, "\68\6\129\42\0\68\6\129\22\0\101\6\129\22\0\6\129\22\0",
	193121, "\68\8\129\42\0\68\8\129\22\0\101\8\129\22\0\8\129\22\0",
	209215, "\68\10\129\42\0\68\10\129\22\0\101\10\129\22\0\10\129\22\0",
	225308, "\68\12\129\42\0\68\12\129\22\0\101\12\129\22\0\12\129\22\0",
	241402, "\68\14\129\42\0\68\14\129\22\0\101\14\129\22\0\14\129\22\0",
	257495, "\68\16\129\42\0\68\16\129\22\0\101\16\129\22\0\16\129\22\0",
	273588, "\68\18\129\42\0\68\18\129\22\0\101\18\129\22\0\18\129\22\0",
	289682, "\68\20\129\42\0\68\20\129\22\0\101\20\129\22\0\20\129\22\0",
	305775, "\68\22\129\42\0\68\22\129\22\0\101\22\129\22\0\22\129\22\0",
	321869, "\70\27\129\45\0\70\27\129\25\0\103\27\129\25\0\27\129\25\0",
	337962, "\70\27\83\129\42\0\70\27\83\129\22\0\103\27\83\129\22\0\27\83\129\22\0",
	354056, "\70\27\84\129\42\0\70\27\84\129\22\0\103\27\84\129\22\0\27\84\129\22\0",
	370149, "\70\27\85\129\42\0\70\27\85\129\22\0\103\27\85\129\22\0\27\85\129\22\0",
	386243, "\70\27\86\129\42\0\70\27\86\129\22\0\103\27\86\129\22\0\27\86\129\22\0",
	402336, "\70\27\87\129\42\0\70\27\87\129\22\0\103\27\87\129\22\0\27\87\129\22\0",
	418429, "\70\27\88\129\42\0\70\27\88\129\22\0\103\27\88\129\22\0\27\88\129\22\0",
	434523, "\70\27\89\129\42\0\70\27\89\129\22\0\103\27\89\129\22\0\27\89\129\22\0",
	450616, "\70\27\90\129\42\0\70\27\90\129\22\0\103\27\90\129\22\0\27\90\129\22\0",
	466710, "\70\27\91\129\42\0\70\27\91\129\22\0\103\27\91\129\22\0\27\91\129\22\0",
	482803, "\71\32\129\45\0\71\32\129\25\0\104\32\129\25\0\32\129\25\0",
	498897, "\71\32\83\129\42\0\71\32\83\129\22\0\104\32\83\129\22\0\32\83\129\22\0",
	514990, "\71\32\84\129\42\0\71\32\84\129\22\0\104\32\84\129\22\0\32\84\129\22\0",
	531084, "\71\32\85\129\42\0\71\32\85\129\22\0\104\32\85\129\22\0\32\85\129\22\0",
	547177, "\71\32\86\129\42\0\71\32\86\129\22\0\104\32\86\129\22\0\32\86\129\22\0",
	563270, "\71\32\87\129\42\0\71\32\87\129\22\0\104\32\87\129\22\0\32\87\129\22\0",
	579364, "\71\32\88\129\42\0\71\32\88\129\22\0\104\32\88\129\22\0\32\88\129\22\0",
	595457, "\71\32\89\129\42\0\71\32\89\129\22\0\104\32\89\129\22\0\32\89\129\22\0",
	611551, "\71\32\90\129\42\0\71\32\90\129\22\0\104\32\90\129\22\0\32\90\129\22\0",
	627644, "\71\32\91\129\42\0\71\32\91\129\22\0\104\32\91\129\22\0\32\91\129\22\0",
	643738, "\72\39\129\45\0\72\39\129\25\0\105\39\129\25\0\39\129\25\0",
	659831, "\72\39\83\129\42\0\72\39\83\129\22\0\105\39\83\129\22\0\39\83\129\22\0",
	675924, "\72\39\84\129\42\0\72\39\84\129\22\0\105\39\84\129\22\0\39\84\129\22\0",
	692018, "\72\39\85\129\42\0\72\39\85\129\22\0\105\39\85\129\22\0\39\85\129\22\0",
	708111, "\72\39\86\129\42\0\72\39\86\129\22\0\105\39\86\129\22\0\39\86\129\22\0",
	724205, "\72\39\87\129\42\0\72\39\87\129\22\0\105\39\87\129\22\0\39\87\129\22\0",
	740298, "\72\39\88\129\42\0\72\39\88\129\22\0\105\39\88\129\22\0\39\88\129\22\0",
	756392, "\72\39\89\129\42\0\72\39\89\129\22\0\105\39\89\129\22\0\39\89\129\22\0",
	772485, "\72\39\90\129\42\0\72\39\90\129\22\0\105\39\90\129\22\0\39\90\129\22\0",
	788579, "\72\39\91\129\42\0\72\39\91\129\22\0\105\39\91\129\22\0\39\91\129\22\0",
	804672, "\73\44\129\45\0\73\44\129\25\0\105\44\129\25\0\44\129\25\0",
	820765, "\82\44\129\45\0\82\44\129\25\0\115\44\129\25\0\44\129\25\0",
}

distances.yards = {
	9, "\69\2\129\82\0\69\2\129\79\0\102\2\129\79\0\2\129\79\0",
	18, "\69\26\129\82\0\69\26\129\79\0\102\26\129\79\0\26\129\79\0",
	27, "\71\31\129\82\0\71\31\129\79\0\104\31\129\79\0\31\129\79\0",
	37, "\72\38\129\82\0\72\38\129\79\0\105\38\129\79\0\38\129\79\0",
	46, "\73\43\129\82\0\73\43\129\79\0\106\43\129\79\0\43\129\79\0",
	55, "\74\48\129\82\0\74\48\129\79\0\107\48\129\79\0\48\129\79\0",
	64, "\75\53\129\82\0\75\53\129\79\0\108\53\129\79\0\53\129\79\0",
	73, "\76\58\129\82\0\76\58\129\79\0\109\58\129\79\0\58\129\79\0",
	82, "\77\63\129\82\0\77\63\129\79\0\110\63\129\79\0\63\129\79\0",
	91, "\68\3\129\83\0\68\3\129\80\0\101\3\129\80\0\3\129\80\0",
	101, "\68\6\129\82\0\68\6\129\79\0\101\6\129\79\0\6\129\79\0",
	110, "\68\8\129\82\0\68\8\129\79\0\101\8\129\79\0\8\129\79\0",
	119, "\68\10\129\82\0\68\10\129\79\0\101\10\129\79\0\10\129\79\0",
	128, "\68\12\129\82\0\68\12\129\79\0\101\12\129\79\0\12\129\79\0",
	137, "\68\14\129\82\0\68\14\129\79\0\101\14\129\79\0\14\129\79\0",
	146, "\68\16\129\82\0\68\16\129\79\0\101\16\129\79\0\16\129\79\0",
	155, "\68\18\129\82\0\68\18\129\79\0\101\18\129\79\0\18\129\79\0",
	165, "\68\20\129\82\0\68\20\129\79\0\101\20\129\79\0\20\129\79\0",
	174, "\68\22\129\82\0\68\22\129\79\0\101\22\129\79\0\22\129\79\0",
	183, "\70\27\129\84\0\70\27\129\81\0\103\27\129\81\0\27\129\81\0",
	192, "\70\27\83\129\82\0\70\27\83\129\79\0\103\27\83\129\79\0\27\83\129\79\0",
	201, "\70\27\84\129\82\0\70\27\84\129\79\0\103\27\84\129\79\0\27\84\129\79\0",
	210, "\70\27\85\129\82\0\70\27\85\129\79\0\103\27\85\129\79\0\27\85\129\79\0",
	219, "\70\27\86\129\82\0\70\27\86\129\79\0\103\27\86\129\79\0\27\86\129\79\0",
	229, "\70\27\87\129\82\0\70\27\87\129\79\0\103\27\87\129\79\0\27\87\129\79\0",
	238, "\70\27\88\129\82\0\70\27\88\129\79\0\103\27\88\129\79\0\27\88\129\79\0",
	247, "\70\27\89\129\82\0\70\27\89\129\79\0\103\27\89\129\79\0\27\89\129\79\0",
	256, "\70\27\90\129\82\0\70\27\90\129\79\0\103\27\90\129\79\0\27\90\129\79\0",
	265, "\70\27\91\129\82\0\70\27\91\129\79\0\103\27\91\129\79\0\27\91\129\79\0",
	274, "\71\32\129\84\0\71\32\129\81\0\104\32\129\81\0\32\129\81\0",
	283, "\71\32\83\129\82\0\71\32\83\129\79\0\104\32\83\129\79\0\32\83\129\79\0",
	293, "\71\32\84\129\82\0\71\32\84\129\79\0\104\32\84\129\79\0\32\84\129\79\0",
	302, "\71\32\85\129\82\0\71\32\85\129\79\0\104\32\85\129\79\0\32\85\129\79\0",
	311, "\71\32\86\129\82\0\71\32\86\129\79\0\104\32\86\129\79\0\32\86\129\79\0",
	320, "\71\32\87\129\82\0\71\32\87\129\79\0\104\32\87\129\79\0\32\87\129\79\0",
	329, "\71\32\88\129\82\0\71\32\88\129\79\0\104\32\88\129\79\0\32\88\129\79\0",
	338, "\71\32\89\129\82\0\71\32\89\129\79\0\104\32\89\129\79\0\32\89\129\79\0",
	347, "\71\32\90\129\82\0\71\32\90\129\79\0\104\32\90\129\79\0\32\90\129\79\0",
	357, "\71\32\91\129\82\0\71\32\91\129\79\0\104\32\91\129\79\0\32\91\129\79\0",
	366, "\72\39\129\84\0\72\39\129\81\0\105\39\129\81\0\39\129\81\0",
	402, "\79\129\78\0\79\129\77\0\112\129\77\0\129\77\0",
	644, "\81\129\67\0\81\129\66\0\114\129\66\0\129\66\0",
	805, "\80\125\0\80\124\0\113\124\0\124\0",
	966, "\81\129\71\0\81\129\70\0\114\129\70\0\129\70\0",
	1127, "\78\36\0\78\35\0\111\35\0\35\0",
	1448, "\81\129\76\0\81\129\75\0\114\129\75\0\129\75\0",
	1609, "\67\129\21\0\67\129\20\0\100\129\20\0\129\20\0",
	1770, "\67\24\129\53\0\67\24\129\33\0\100\24\129\33\0\24\129\33\0",
	1931, "\67\24\129\54\0\67\24\129\34\0\100\24\129\34\0\24\129\34\0",
	2092, "\67\24\129\55\0\67\24\129\35\0\100\24\129\35\0\24\129\35\0",
	2253, "\67\24\129\56\0\67\24\129\36\0\100\24\129\36\0\24\129\36\0",
	2414, "\67\24\129\57\0\67\24\129\37\0\100\24\129\37\0\24\129\37\0",
	2575, "\67\24\129\58\0\67\24\129\38\0\100\24\129\38\0\24\129\38\0",
	2736, "\67\24\129\59\0\67\24\129\39\0\100\24\129\39\0\24\129\39\0",
	2897, "\67\24\129\60\0\67\24\129\40\0\100\24\129\40\0\24\129\40\0",
	3058, "\67\24\129\61\0\67\24\129\41\0\100\24\129\41\0\24\129\41\0",
	3219, "\69\129\44\0\69\129\24\0\102\129\24\0\129\24\0",
	3380, "\69\29\129\53\0\69\29\129\33\0\102\29\129\33\0\29\129\33\0",
	3541, "\69\29\129\54\0\69\29\129\34\0\102\29\129\34\0\29\129\34\0",
	3701, "\69\29\129\55\0\69\29\129\35\0\102\29\129\35\0\29\129\35\0",
	3862, "\69\29\129\56\0\69\29\129\36\0\102\29\129\36\0\29\129\36\0",
	4023, "\69\29\129\57\0\69\29\129\37\0\102\29\129\37\0\29\129\37\0",
	4184, "\69\29\129\58\0\69\29\129\38\0\102\29\129\38\0\29\129\38\0",
	4345, "\69\29\129\59\0\69\29\129\39\0\102\29\129\39\0\29\129\39\0",
	4506, "\69\29\129\60\0\69\29\129\40\0\102\29\129\40\0\29\129\40\0",
	4667, "\69\29\129\61\0\69\29\129\41\0\102\29\129\41\0\29\129\41\0",
	4828, "\71\129\46\0\71\129\26\0\104\129\26\0\129\26\0",
	4989, "\71\34\129\53\0\71\34\129\33\0\104\34\129\33\0\34\129\33\0",
	5150, "\71\34\129\54\0\71\34\129\34\0\104\34\129\34\0\34\129\34\0",
	5311, "\71\34\129\55\0\71\34\129\35\0\104\34\129\35\0\34\129\35\0",
	5472, "\71\34\129\56\0\71\34\129\36\0\104\34\129\36\0\34\129\36\0",
	5633, "\71\34\129\57\0\71\34\129\37\0\104\34\129\37\0\34\129\37\0",
	5794, "\71\34\129\58\0\71\34\129\38\0\104\34\129\38\0\34\129\38\0",
	5955, "\71\34\129\59\0\71\34\129\39\0\104\34\129\39\0\34\129\39\0",
	6116, "\71\34\129\60\0\71\34\129\40\0\104\34\129\40\0\34\129\40\0",
	6276, "\71\34\129\61\0\71\34\129\41\0\104\34\129\41\0\34\129\41\0",
	6437, "\72\129\47\0\72\129\27\0\105\129\27\0\129\27\0",
	6598, "\72\41\129\53\0\72\41\129\33\0\105\41\129\33\0\41\129\33\0",
	6759, "\72\41\129\54\0\72\41\129\34\0\105\41\129\34\0\41\129\34\0",
	6920, "\72\41\129\55\0\72\41\129\35\0\105\41\129\35\0\41\129\35\0",
	7081, "\72\41\129\56\0\72\41\129\36\0\105\41\129\36\0\41\129\36\0",
	7242, "\72\41\129\57\0\72\41\129\37\0\105\41\129\37\0\41\129\37\0",
	7403, "\72\41\129\58\0\72\41\129\38\0\105\41\129\38\0\41\129\38\0",
	7564, "\72\41\129\59\0\72\41\129\39\0\105\41\129\39\0\41\129\39\0",
	7725, "\72\41\129\60\0\72\41\129\40\0\105\41\129\40\0\41\129\40\0",
	7886, "\72\41\129\61\0\72\41\129\41\0\105\41\129\41\0\41\129\41\0",
	8047, "\73\129\48\0\73\129\28\0\106\129\28\0\129\28\0",
	8208, "\73\46\129\53\0\73\46\129\33\0\106\46\129\33\0\46\129\33\0",
	8369, "\73\46\129\54\0\73\46\129\34\0\106\46\129\34\0\46\129\34\0",
	8530, "\73\46\129\55\0\73\46\129\35\0\106\46\129\35\0\46\129\35\0",
	8690, "\73\46\129\56\0\73\46\129\36\0\106\46\129\36\0\46\129\36\0",
	8851, "\73\46\129\57\0\73\46\129\37\0\106\46\129\37\0\46\129\37\0",
	9012, "\73\46\129\58\0\73\46\129\38\0\106\46\129\38\0\46\129\38\0",
	9173, "\73\46\129\59\0\73\46\129\39\0\106\46\129\39\0\46\129\39\0",
	9334, "\73\46\129\60\0\73\46\129\40\0\106\46\129\40\0\46\129\40\0",
	9495, "\73\46\129\61\0\73\46\129\41\0\106\46\129\41\0\46\129\41\0",
	9656, "\74\129\49\0\74\129\29\0\107\129\29\0\129\29\0",
	9817, "\74\51\129\53\0\74\51\129\33\0\107\51\129\33\0\51\129\33\0",
	9978, "\74\51\129\54\0\74\51\129\34\0\107\51\129\34\0\51\129\34\0",
	10139, "\74\51\129\55\0\74\51\129\35\0\107\51\129\35\0\51\129\35\0",
	10300, "\74\51\129\56\0\74\51\129\36\0\107\51\129\36\0\51\129\36\0",
	10461, "\74\51\129\57\0\74\51\129\37\0\107\51\129\37\0\51\129\37\0",
	10622, "\74\51\129\58\0\74\51\129\38\0\107\51\129\38\0\51\129\38\0",
	10783, "\74\51\129\59\0\74\51\129\39\0\107\51\129\39\0\51\129\39\0",
	10944, "\74\51\129\60\0\74\51\129\40\0\107\51\129\40\0\51\129\40\0",
	11104, "\74\51\129\61\0\74\51\129\41\0\107\51\129\41\0\51\129\41\0",
	11265, "\75\129\50\0\75\129\30\0\108\129\30\0\129\30\0",
	11426, "\75\56\129\53\0\75\56\129\33\0\108\56\129\33\0\56\129\33\0",
	11587, "\75\56\129\54\0\75\56\129\34\0\108\56\129\34\0\56\129\34\0",
	11748, "\75\56\129\55\0\75\56\129\35\0\108\56\129\35\0\56\129\35\0",
	11909, "\75\56\129\56\0\75\56\129\36\0\108\56\129\36\0\56\129\36\0",
	12070, "\75\56\129\57\0\75\56\129\37\0\108\56\129\37\0\56\129\37\0",
	12231, "\75\56\129\58\0\75\56\129\38\0\108\56\129\38\0\56\129\38\0",
	12392, "\75\56\129\59\0\75\56\129\39\0\108\56\129\39\0\56\129\39\0",
	12553, "\75\56\129\60\0\75\56\129\40\0\108\56\129\40\0\56\129\40\0",
	12714, "\75\56\129\61\0\75\56\129\41\0\108\56\129\41\0\56\129\41\0",
	12875, "\76\129\51\0\76\129\31\0\109\129\31\0\129\31\0",
	13036, "\76\61\129\53\0\76\61\129\33\0\109\61\129\33\0\61\129\33\0",
	13197, "\76\61\129\54\0\76\61\129\34\0\109\61\129\34\0\61\129\34\0",
	13358, "\76\61\129\55\0\76\61\129\35\0\109\61\129\35\0\61\129\35\0",
	13518, "\76\61\129\56\0\76\61\129\36\0\109\61\129\36\0\61\129\36\0",
	13679, "\76\61\129\57\0\76\61\129\37\0\109\61\129\37\0\61\129\37\0",
	13840, "\76\61\129\58\0\76\61\129\38\0\109\61\129\38\0\61\129\38\0",
	14001, "\76\61\129\59\0\76\61\129\39\0\109\61\129\39\0\61\129\39\0",
	14162, "\76\61\129\60\0\76\61\129\40\0\109\61\129\40\0\61\129\40\0",
	14323, "\76\61\129\61\0\76\61\129\41\0\109\61\129\41\0\61\129\41\0",
	14484, "\77\129\52\0\77\129\32\0\110\129\32\0\129\32\0",
	14645, "\77\66\129\53\0\77\66\129\33\0\110\66\129\33\0\66\129\33\0",
	14806, "\77\66\129\54\0\77\66\129\34\0\110\66\129\34\0\66\129\34\0",
	14967, "\77\66\129\55\0\77\66\129\35\0\110\66\129\35\0\66\129\35\0",
	15128, "\77\66\129\56\0\77\66\129\36\0\110\66\129\36\0\66\129\36\0",
	15289, "\77\66\129\57\0\77\66\129\37\0\110\66\129\37\0\66\129\37\0",
	15450, "\77\66\129\58\0\77\66\129\38\0\110\66\129\38\0\66\129\38\0",
	15611, "\77\66\129\59\0\77\66\129\39\0\110\66\129\39\0\66\129\39\0",
	15772, "\77\66\129\60\0\77\66\129\40\0\110\66\129\40\0\66\129\40\0",
	15933, "\77\66\129\61\0\77\66\129\41\0\110\66\129\41\0\66\129\41\0",
	16093, "\69\2\129\42\0\69\2\129\22\0\102\2\129\22\0\2\129\22\0",
	17703, "\67\5\129\42\0\67\5\129\22\0\100\5\129\22\0\5\129\22\0",
	19312, "\69\7\129\42\0\69\7\129\22\0\102\7\129\22\0\7\129\22\0",
	20921, "\71\9\129\42\0\71\9\129\22\0\104\9\129\22\0\9\129\22\0",
	22531, "\72\11\129\42\0\72\11\129\22\0\105\11\129\22\0\11\129\22\0",
	24140, "\73\13\129\42\0\73\13\129\22\0\106\13\129\22\0\13\129\22\0",
	25750, "\74\15\129\42\0\74\15\129\22\0\107\15\129\22\0\15\129\22\0",
	27359, "\75\17\129\42\0\75\17\129\22\0\108\17\129\22\0\17\129\22\0",
	28968, "\76\19\129\42\0\76\19\129\22\0\109\19\129\22\0\19\129\22\0",
	30578, "\77\21\129\42\0\77\21\129\22\0\110\21\129\22\0\21\129\22\0",
	32187, "\69\26\129\42\0\69\26\129\22\0\102\26\129\22\0\26\129\22\0",
	33796, "\67\23\92\129\42\0\67\23\92\129\22\0\100\23\92\129\22\0\23\92\129\22\0",
	35406, "\69\28\92\129\42\0\69\28\92\129\22\0\102\28\92\129\22\0\28\92\129\22\0",
	37015, "\71\33\92\129\42\0\71\33\92\129\22\0\104\33\92\129\22\0\33\92\129\22\0",
	38624, "\72\40\92\129\42\0\72\40\92\129\22\0\105\40\92\129\22\0\40\92\129\22\0",
	40234, "\73\45\92\129\42\0\73\45\92\129\22\0\106\45\92\129\22\0\45\92\129\22\0",
	41843, "\74\50\92\129\42\0\74\50\92\129\22\0\107\50\92\129\22\0\50\92\129\22\0",
	43452, "\75\55\92\129\42\0\75\55\92\129\22\0\108\55\92\129\22\0\55\92\129\22\0",
	45062, "\76\60\92\129\42\0\76\60\92\129\22\0\109\60\92\129\22\0\60\92\129\22\0",
	46671, "\77\65\92\129\42\0\77\65\92\129\22\0\110\65\92\129\22\0\65\92\129\22\0",
	48280, "\71\31\129\42\0\71\31\129\22\0\104\31\129\22\0\31\129\22\0",
	49890, "\67\23\93\129\42\0\67\23\93\129\22\0\100\23\93\129\22\0\23\93\129\22\0",
	51499, "\69\28\93\129\42\0\69\28\93\129\22\0\102\28\93\129\22\0\28\93\129\22\0",
	53108, "\71\33\93\129\42\0\71\33\93\129\22\0\104\33\93\129\22\0\33\93\129\22\0",
	54718, "\72\40\93\129\42\0\72\40\93\129\22\0\105\40\93\129\22\0\40\93\129\22\0",
	56327, "\73\45\93\129\42\0\73\45\93\129\22\0\106\45\93\129\22\0\45\93\129\22\0",
	57936, "\74\50\93\129\42\0\74\50\93\129\22\0\107\50\93\129\22\0\50\93\129\22\0",
	59546, "\75\55\93\129\42\0\75\55\93\129\22\0\108\55\93\129\22\0\55\93\129\22\0",
	61155, "\76\60\93\129\42\0\76\60\93\129\22\0\109\60\93\129\22\0\60\93\129\22\0",
	62764, "\77\65\93\129\42\0\77\65\93\129\22\0\110\65\93\129\22\0\65\93\129\22\0",
	64374, "\72\38\129\42\0\72\38\129\22\0\105\38\129\22\0\38\129\22\0",
	65983, "\67\23\94\129\42\0\67\23\94\129\22\0\100\23\94\129\22\0\23\94\129\22\0",
	67592, "\69\28\94\129\42\0\69\28\94\129\22\0\102\28\94\129\22\0\28\94\129\22\0",
	69202, "\71\33\94\129\42\0\71\33\94\129\22\0\104\33\94\129\22\0\33\94\129\22\0",
	70811, "\72\40\94\129\42\0\72\40\94\129\22\0\105\40\94\129\22\0\40\94\129\22\0",
	72420, "\73\45\94\129\42\0\73\45\94\129\22\0\106\45\94\129\22\0\45\94\129\22\0",
	74030, "\74\50\94\129\42\0\74\50\94\129\22\0\107\50\94\129\22\0\50\94\129\22\0",
	75639, "\75\55\94\129\42\0\75\55\94\129\22\0\108\55\94\129\22\0\55\94\129\22\0",
	77249, "\76\60\94\129\42\0\76\60\94\129\22\0\109\60\94\129\22\0\60\94\129\22\0",
	78858, "\77\65\94\129\42\0\77\65\94\129\22\0\110\65\94\129\22\0\65\94\129\22\0",
	80467, "\73\43\129\42\0\73\43\129\22\0\106\43\129\22\0\43\129\22\0",
	82077, "\67\23\95\129\42\0\67\23\95\129\22\0\100\23\95\129\22\0\23\95\129\22\0",
	83686, "\69\28\95\129\42\0\69\28\95\129\22\0\102\28\95\129\22\0\28\95\129\22\0",
	85295, "\71\33\95\129\42\0\71\33\95\129\22\0\104\33\95\129\22\0\33\95\129\22\0",
	86905, "\72\40\95\129\42\0\72\40\95\129\22\0\105\40\95\129\22\0\40\95\129\22\0",
	88514, "\73\45\95\129\42\0\73\45\95\129\22\0\106\45\95\129\22\0\45\95\129\22\0",
	90123, "\74\50\95\129\42\0\74\50\95\129\22\0\107\50\95\129\22\0\50\95\129\22\0",
	91733, "\75\55\95\129\42\0\75\55\95\129\22\0\108\55\95\129\22\0\55\95\129\22\0",
	93342, "\76\60\95\129\42\0\76\60\95\129\22\0\109\60\95\129\22\0\60\95\129\22\0",
	94951, "\77\65\95\129\42\0\77\65\95\129\22\0\110\65\95\129\22\0\65\95\129\22\0",
	96561, "\74\48\129\42\0\74\48\129\22\0\107\48\129\22\0\48\129\22\0",
	98170, "\67\23\96\129\42\0\67\23\96\129\22\0\100\23\96\129\22\0\23\96\129\22\0",
	99779, "\69\28\96\129\42\0\69\28\96\129\22\0\102\28\96\129\22\0\28\96\129\22\0",
	101389, "\71\33\96\129\42\0\71\33\96\129\22\0\104\33\96\129\22\0\33\96\129\22\0",
	102998, "\72\40\96\129\42\0\72\40\96\129\22\0\105\40\96\129\22\0\40\96\129\22\0",
	104607, "\73\45\96\129\42\0\73\45\96\129\22\0\106\45\96\129\22\0\45\96\129\22\0",
	106217, "\74\50\96\129\42\0\74\50\96\129\22\0\107\50\96\129\22\0\50\96\129\22\0",
	107826, "\75\55\96\129\42\0\75\55\96\129\22\0\108\55\96\129\22\0\55\96\129\22\0",
	109435, "\76\60\96\129\42\0\76\60\96\129\22\0\109\60\96\129\22\0\60\96\129\22\0",
	111045, "\77\65\96\129\42\0\77\65\96\129\22\0\110\65\96\129\22\0\65\96\129\22\0",
	112654, "\75\53\129\42\0\75\53\129\22\0\108\53\129\22\0\53\129\22\0",
	114263, "\67\23\97\129\42\0\67\23\97\129\22\0\100\23\97\129\22\0\23\97\129\22\0",
	115873, "\69\28\97\129\42\0\69\28\97\129\22\0\102\28\97\129\22\0\28\97\129\22\0",
	117482, "\71\33\97\129\42\0\71\33\97\129\22\0\104\33\97\129\22\0\33\97\129\22\0",
	119091, "\72\40\97\129\42\0\72\40\97\129\22\0\105\40\97\129\22\0\40\97\129\22\0",
	120701, "\73\45\97\129\42\0\73\45\97\129\22\0\106\45\97\129\22\0\45\97\129\22\0",
	122310, "\74\50\97\129\42\0\74\50\97\129\22\0\107\50\97\129\22\0\50\97\129\22\0",
	123919, "\75\55\97\129\42\0\75\55\97\129\22\0\108\55\97\129\22\0\55\97\129\22\0",
	125529, "\76\60\97\129\42\0\76\60\97\129\22\0\109\60\97\129\22\0\60\97\129\22\0",
	127138, "\77\65\97\129\42\0\77\65\97\129\22\0\110\65\97\129\22\0\65\97\129\22\0",
	128748, "\76\58\129\42\0\76\58\129\22\0\109\58\129\22\0\58\129\22\0",
	130357, "\67\23\98\129\42\0\67\23\98\129\22\0\100\23\98\129\22\0\23\98\129\22\0",
	131966, "\69\28\98\129\42\0\69\28\98\129\22\0\102\28\98\129\22\0\28\98\129\22\0",
	133576, "\71\33\98\129\42\0\71\33\98\129\22\0\104\33\98\129\22\0\33\98\129\22\0",
	135185, "\72\40\98\129\42\0\72\40\98\129\22\0\105\40\98\129\22\0\40\98\129\22\0",
	136794, "\73\45\98\129\42\0\73\45\98\129\22\0\106\45\98\129\22\0\45\98\129\22\0",
	138404, "\74\50\98\129\42\0\74\50\98\129\22\0\107\50\98\129\22\0\50\98\129\22\0",
	140013, "\75\55\98\129\42\0\75\55\98\129\22\0\108\55\98\129\22\0\55\98\129\22\0",
	141622, "\76\60\98\129\42\0\76\60\98\129\22\0\109\60\98\129\22\0\60\98\129\22\0",
	143232, "\77\65\98\129\42\0\77\65\98\129\22\0\110\65\98\129\22\0\65\98\129\22\0",
	144841, "\77\63\129\42\0\77\63\129\22\0\110\63\129\22\0\63\129\22\0",
	146450, "\67\23\99\129\42\0\67\23\99\129\22\0\100\23\99\129\22\0\23\99\129\22\0",
	148060, "\69\28\99\129\42\0\69\28\99\129\22\0\102\28\99\129\22\0\28\99\129\22\0",
	149669, "\71\33\99\129\42\0\71\33\99\129\22\0\104\33\99\129\22\0\33\99\129\22\0",
	151278, "\72\40\99\129\42\0\72\40\99\129\22\0\105\40\99\129\22\0\40\99\129\22\0",
	152888, "\73\45\99\129\42\0\73\45\99\129\22\0\106\45\99\129\22\0\45\99\129\22\0",
	154497, "\74\50\99\129\42\0\74\50\99\129\22\0\107\50\99\129\22\0\50\99\129\22\0",
	156106, "\75\55\99\129\42\0\75\55\99\129\22\0\108\55\99\129\22\0\55\99\129\22\0",
	157716, "\76\60\99\129\42\0\76\60\99\129\22\0\109\60\99\129\22\0\60\99\129\22\0",
	159325, "\77\65\99\129\42\0\77\65\99\129\22\0\110\65\99\129\22\0\65\99\129\22\0",
	160934, "\68\3\129\43\0\68\3\129\23\0\101\3\129\23\0\3\129\23\0",
	177028, "\68\6\129\42\0\68\6\129\22\0\101\6\129\22\0\6\129\22\0",
	193121, "\68\8\129\42\0\68\8\129\22\0\101\8\129\22\0\8\129\22\0",
	209215, "\68\10\129\42\0\68\10\129\22\0\101\10\129\22\0\10\129\22\0",
	225308, "\68\12\129\42\0\68\12\129\22\0\101\12\129\22\0\12\129\22\0",
	241402, "\68\14\129\42\0\68\14\129\22\0\101\14\129\22\0\14\129\22\0",
	257495, "\68\16\129\42\0\68\16\129\22\0\101\16\129\22\0\16\129\22\0",
	273588, "\68\18\129\42\0\68\18\129\22\0\101\18\129\22\0\18\129\22\0",
	289682, "\68\20\129\42\0\68\20\129\22\0\101\20\129\22\0\20\129\22\0",
	305775, "\68\22\129\42\0\68\22\129\22\0\101\22\129\22\0\22\129\22\0",
	321869, "\70\27\129\45\0\70\27\129\25\0\103\27\129\25\0\27\129\25\0",
	337962, "\70\27\83\129\42\0\70\27\83\129\22\0\103\27\83\129\22\0\27\83\129\22\0",
	354056, "\70\27\84\129\42\0\70\27\84\129\22\0\103\27\84\129\22\0\27\84\129\22\0",
	370149, "\70\27\85\129\42\0\70\27\85\129\22\0\103\27\85\129\22\0\27\85\129\22\0",
	386243, "\70\27\86\129\42\0\70\27\86\129\22\0\103\27\86\129\22\0\27\86\129\22\0",
	402336, "\70\27\87\129\42\0\70\27\87\129\22\0\103\27\87\129\22\0\27\87\129\22\0",
	418429, "\70\27\88\129\42\0\70\27\88\129\22\0\103\27\88\129\22\0\27\88\129\22\0",
	434523, "\70\27\89\129\42\0\70\27\89\129\22\0\103\27\89\129\22\0\27\89\129\22\0",
	450616, "\70\27\90\129\42\0\70\27\90\129\22\0\103\27\90\129\22\0\27\90\129\22\0",
	466710, "\70\27\91\129\42\0\70\27\91\129\22\0\103\27\91\129\22\0\27\91\129\22\0",
	482803, "\71\32\129\45\0\71\32\129\25\0\104\32\129\25\0\32\129\25\0",
	498897, "\71\32\83\129\42\0\71\32\83\129\22\0\104\32\83\129\22\0\32\83\129\22\0",
	514990, "\71\32\84\129\42\0\71\32\84\129\22\0\104\32\84\129\22\0\32\84\129\22\0",
	531084, "\71\32\85\129\42\0\71\32\85\129\22\0\104\32\85\129\22\0\32\85\129\22\0",
	547177, "\71\32\86\129\42\0\71\32\86\129\22\0\104\32\86\129\22\0\32\86\129\22\0",
	563270, "\71\32\87\129\42\0\71\32\87\129\22\0\104\32\87\129\22\0\32\87\129\22\0",
	579364, "\71\32\88\129\42\0\71\32\88\129\22\0\104\32\88\129\22\0\32\88\129\22\0",
	595457, "\71\32\89\129\42\0\71\32\89\129\22\0\104\32\89\129\22\0\32\89\129\22\0",
	611551, "\71\32\90\129\42\0\71\32\90\129\22\0\104\32\90\129\22\0\32\90\129\22\0",
	627644, "\71\32\91\129\42\0\71\32\91\129\22\0\104\32\91\129\22\0\32\91\129\22\0",
	643738, "\72\39\129\45\0\72\39\129\25\0\105\39\129\25\0\39\129\25\0",
	659831, "\72\39\83\129\42\0\72\39\83\129\22\0\105\39\83\129\22\0\39\83\129\22\0",
	675924, "\72\39\84\129\42\0\72\39\84\129\22\0\105\39\84\129\22\0\39\84\129\22\0",
	692018, "\72\39\85\129\42\0\72\39\85\129\22\0\105\39\85\129\22\0\39\85\129\22\0",
	708111, "\72\39\86\129\42\0\72\39\86\129\22\0\105\39\86\129\22\0\39\86\129\22\0",
	724205, "\72\39\87\129\42\0\72\39\87\129\22\0\105\39\87\129\22\0\39\87\129\22\0",
	740298, "\72\39\88\129\42\0\72\39\88\129\22\0\105\39\88\129\22\0\39\88\129\22\0",
	756392, "\72\39\89\129\42\0\72\39\89\129\22\0\105\39\89\129\22\0\39\89\129\22\0",
	772485, "\72\39\90\129\42\0\72\39\90\129\22\0\105\39\90\129\22\0\39\90\129\22\0",
	788579, "\72\39\91\129\42\0\72\39\91\129\22\0\105\39\91\129\22\0\39\91\129\22\0",
	804672, "\73\44\129\45\0\73\44\129\25\0\105\44\129\25\0\44\129\25\0",
	820765, "\82\44\129\45\0\82\44\129\25\0\115\44\129\25\0\44\129\25\0",
}

ordinals = {
	{L"1st", L"1stb", L"1stc"},
	{L"2nd", L"2ndb", L"2ndc"},
	{L"3rd", L"3rdb", L"3rdc"},
	{L"4th", L"4thb", L"4thc"},
	{L"5th", L"5thb", L"5thc"},
	{L"6th", L"6thb", L"6thc"},
	{L"7th", L"7thb", L"7thc"},
	{L"8th", L"8thb", L"8thc"},
	{L"9th", L"9thb", L"9thc"},
	{L"10th", L"10thb", L"10thc"},
	{L"11th", L"11thb", L"11thc"},
	{L"12th", L"12thb", L"12thc"},
	{L"13th", L"13thb", L"13thc"},
	{L"14th", L"14thb", L"14thc"},
	{L"15th", L"15thb", L"15thc"},
	{L"16th", L"16thb", L"16thc"},
	{L"17th", L"17thb", L"17thc"},
	{L"18th", L"18thb", L"18thc"},
	{L"19th", L"19thb", L"19thc"},
	{L"20th", L"20thb", L"20thc"},
}

